GNU bug report logs - #33639
ISO installer image is broken on i686

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: Ludovic Courtès <ludo@HIDDEN>; merged with #35136; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 15 Apr 2019 16:54:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 12:54:57 2019
Received: from localhost ([127.0.0.1]:35307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hG4si-00045X-Pg
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2019 12:54:56 -0400
Received: from pelzflorian.de ([5.45.111.108]:59732 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hG4sf-00045O-QP
 for 33639 <at> debbugs.gnu.org; Mon, 15 Apr 2019 12:54:54 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 4C9C3360038;
 Mon, 15 Apr 2019 18:54:52 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1555347292;
 bh=Y+1q2TcLMEl+ggSDCUxHOxChOqMNBw4pDo3RCmiCj0o=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=qrWjemWlk7dHoBRbCJb4dr5W8a+scSzJgjg7Sj8noBbGlaLgiLvKjT4EBEZU314lg
 qGB9y+SW3YXxl8BAA6/JzM8DlnQ8Myj5n640CZKAPWpiJ9agvD6jFpFrGGOKasqZGO
 B/Ed5sEgxm3sDrjxlL5litkv9aOZOb6qRt/JmF70=
Date: Mon, 15 Apr 2019 18:54:52 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
Message-ID: <20190415165451.dpzngealeisbibc7@HIDDEN>
References: <20190409221313.b3uzvcj5bluoygp5@HIDDEN>
 <16217671677318139528@HIDDEN>
 <87o95alxtn.fsf@HIDDEN>
 <20190413134609.kwmx53hyawgtaaza@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20190413134609.kwmx53hyawgtaaza@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, Thomas Schmitt <scdbackup@HIDDEN>,
 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, Apr 13, 2019 at 03:46:09PM +0200, pelzflorian (Florian Pelz) wrote:
> Yes, it seems fixed, I can confirm.

Well this is strange.  I got fine ISO images each time (fine with no
complaints from xorriso or fdisk and bootable in QEMU without errors),
but after dd’ing them to different USB flash drives each time I get
kernel output when inserting the flash drive:

[   10.025223] GPT:Primary header thinks Alt. header is not at the end of the disk.
[   10.026735] GPT:3220583 != 7831551
[   10.028235] GPT:Alternate GPT header not at the end of the disk.
[   10.029764] GPT:3220583 != 7831551
[   10.031290] GPT: Use GNU Parted to correct GPT errors.


Having such a USB flash drive inside my computer makes UEFI get stuck
on some computers but not on others.

Why is this?  Are all my USB drives bad?  I presume this is a
different bug, or is it?

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 15 Apr 2019 08:33:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 04:33:21 2019
Received: from localhost ([127.0.0.1]:34074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFx3I-0003N3-RM
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2019 04:33:21 -0400
Received: from mout.gmx.net ([212.227.15.19]:59577)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1hFx3G-0003Mq-89
 for 33639 <at> debbugs.gnu.org; Mon, 15 Apr 2019 04:33:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1555317191;
 bh=10j+8YQQMvFRT28acSzyjDLvfMzFD7T0nVDKA/5crIQ=;
 h=X-UI-Sender-Class:Date:From:To:Subject:Cc:References:In-Reply-To;
 b=ZVwzpc/WTJBJmtJk4tBQOBIe8a7/BBTQXMY/fxLJSACs4rEhb789zTk9a+eTN0fYS
 IaYSC7XeRGdbjDc/mqBnkuh2lDcZkiJZ8jH8Dd+VEja+kZmr4Y+MwLDd5i6+kwMDgF
 t3F/x2AW1gtoSG3yELAjuK91DDJgeSS26dnicx2w=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from scdbackup.webframe.org ([87.167.207.225]) by mail.gmx.com
 (mrgmx004 [212.227.17.190]) with ESMTPSA (Nemesis) id
 1MEUzA-1h5Z4G3uYs-00Fx7K; Mon, 15 Apr 2019 10:33:10 +0200
Date: Mon, 15 Apr 2019 10:35:11 +0200
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
References: <3082867220863987596@HIDDEN>
In-Reply-To: <3082867220863987596@HIDDEN>
Message-Id: <3171667222963526138@HIDDEN>
X-Provags-ID: V03:K1:F/xXpN93O2WbKsbJ7IYCQnQBjropx+7HK+2cur6gfveoGG11ckd
 NYPKtYR5wbzEHeOQ5kbbOHXO1fbrAfLyXqEb6bVmXV/eddHkw/LlNJ02krWYesLlp4ES/8B
 bdPDuu5phze+tZi/TBAuFT5mogghaiCmkFONL6qPoguJ45LXyZIuLou6UeDxTLBnO29ULmR
 kMkH2oKSqX+KTmcCJ/2ow==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:7uUImMb3RbQ=:uf4SZ4vxSNREk2uW+tre/m
 Qn6gWaZd5n+bLwTcyvoIItpMnjMaFgnQNagjl7sw3VpELa0Cx4sR6Q1Ah3F2Y5qAgewn3MzTG
 iO04RPFcVjw8tfYlIBkYih5ZX4KSZNCy8lcPrmkS+AUiVS1fV34ytFxMIYBbL3Y17eOrNT/jk
 ENNZ9W5VKw+Uvqv4/+SjMdWu94nvFGbfRamO20EjPsIkjpMxuy5kTYK7qoekK7NgXdgknwgO7
 3jmQf9GakSeKljCcFfuANt9TvLHbwxFEzcaDhiVy51S1R0pFAKYjZ/l3GPKOvotXS6XuQS07S
 YdlGuOQg4Ju6Yvth8sgUbJBPLhh0+6lL2X6HZ2uq4XX0mkTqp9+jyETeScw5D4EQVJzsNv4Mq
 QAXAxoLP0zGA8AbeT67dpAY577QOj/LzCEJVCohpdhy3IAXO5Sy/b7P+J4dZ8CXUD6jcnO5uh
 hbOtGG43nzJj9DTVFIlZ8+bPle76oKFE8B05R5/GGGHPltiqxAFkH6FQB+HZoYMe6HSUGInVW
 I7MFHRx6+8aH4n8ItsHHrnZYv/WrqJmcS2I3l1ip/f7nmK9kiwfm/xW0/qUqHlHfF1AiJos0V
 LbOXvSI0VQ0PdN2ceFaU22wztrZqVwM0MQi6eWQ/Dhy1RNcQLvp0az3lM9LhAJ5sgoWLORLq+
 1yVk/uo/cBewc/+VENSt0cooyfatEvFwI6zsnR53PQlqIGO/NCFilLr09GsdFABJQ2iR5F7q9
 YqSC6pEos/+69eQe50DVstoGFarbOD2Ok6Bmq4zZSkm8d32YIpBX8SMq9SR/K11HXG9RU4UxF
 hNJFxBhEjZaDQ02BGMrgehmwaItyTH7hvZwK6Dvrz+1xr4iHVyeWimJhr3z1KIaTOSXpbz1Nv
 PzzgFwjeINndI6B96GW8OZqVV7MZMI1Yuz1Sglfl8X83m1t4GganavtESlPz3ByBYTurHvD2V
 G476CV75+og==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: pelzflorian@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

it seems to help if you explicitely set the timestamps of the "/" directory

  export SOURCE_DATE_EPOCH=1555311212

  xorriso -outdev test.iso -map x /x \
          -alter_date b-c 1970010100000000 / -- \
          -alter_date c 1970010100000000 / --

ISOs made with these xorriso commands match perfectly.

A bit more elegant than 1970 would be to use the seconds value from
SOURCE_DATE_EPOCH (prefix "=" announces date +%s format):

          -alter_date b-c =$SOURCE_DATE_EPOCH / -- \
          -alter_date c   =$SOURCE_DATE_EPOCH / --

The -alter_date commands should be performed after all -map commands,
just to make sure that the timestamps do not get changed again.

I still need to find out where the current time sneaks in.
But this workaround should not do harm after the bug was corrected.


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 15 Apr 2019 08:14:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 04:14:13 2019
Received: from localhost ([127.0.0.1]:34032 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFwkn-0002tr-5e
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2019 04:14:13 -0400
Received: from mout.gmx.net ([212.227.17.22]:38475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1hFwkk-0002td-Gl
 for 33639 <at> debbugs.gnu.org; Mon, 15 Apr 2019 04:14:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1555316043;
 bh=DjapdQh8EsrhS05Nu/dKtiACkDXQ7paAyEsvgZ0nyzc=;
 h=X-UI-Sender-Class:Date:From:To:Subject:Cc:References:In-Reply-To;
 b=ADFRoD2UyPROGmvCsepzjsQ0B6md+RyCsrloVWGhn856aJ/MUXajWDD9Xm7+sLg8p
 OCQU0IxVSe2AixchyUkKn0PJnqdiXPnBlrivW2xvixLRuSAdlBVo6swIWUergGx6/q
 Pcr/DpOkXRStYTqD5NcMm9cw9cdVa3O1pwIR6PYk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from scdbackup.webframe.org ([87.167.207.225]) by mail.gmx.com
 (mrgmx101 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0M50aI-1gvmCq3oPW-00zHB2; Mon, 15 Apr 2019 10:14:03 +0200
Date: Mon, 15 Apr 2019 10:16:03 +0200
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
References: <87h8b0i7ol.fsf@HIDDEN>
In-Reply-To: <87h8b0i7ol.fsf@HIDDEN>
Message-Id: <3082867220863987596@HIDDEN>
X-Provags-ID: V03:K1:TD3qnMI3rwr9bKG+1tTliowdYfeBDQdLGmQ1zqBdCia1Jcm8Vw3
 qu3sslx38PdCGxhUusFd77ewixW1jqhFRKJqVQbq1lRjqUcJzFsP6obsv2sOAgWBit6JI/W
 e+QmjBx2cf/e4If0udX8b9Qm7oCAP+m/ivYyltzIgBQdeB6k44Tl88XBjweyOOQhgCBOCEQ
 +TBsPFthr68NlArefoJmw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:4yqYF/yv7zg=:/hrdZCCbc9hXjFPmtRB3jX
 eCRdCjThIP0YR87jhu/0B2/riCenl6Mk3o/XoPrOtht4wZ94kpkJ3aPzqruG91we/zmjkbr5o
 0I3NPPzccizkjfpFc3yrJ//8cg4NWUQY9wSTcvCwXXHTVPwQ1F0m02hRUvGo7JWwlocIM8nAK
 sYs2+We2P99mpO70/y6Nov1edHFXhdvn0MvJp+8u0Nyjl4OKGzSVS8KRw46xYbAd7rrpLVpN1
 8hH6EJDpah2r2YHwJfmJfyUX++p8Be4vskVtPX/mBYInUgzh2ki+HDDnWNR6X2FJSuQgwoMMr
 jlD7zvyoBWAmxWbOhBXbJvM83d6rEbwkjZow7Ynrda8YM/W/+yh4C6r26z/pONqNPgjZNwZPW
 QS6rXgvwAKIZsOTnlb+AcOXzKH1kXDecquiq2pj8mM2XtvnEALn+k/YSTvx1R6OmWWUwz+pqY
 EWb7JL8I+s0JQ4t+kNGOSgxH322HuecW7QMhAN/T7gXldzFC4DrPnz0tycVH4iefFuI+uiERN
 CmvMY5T6/Ojn8ZVZNqO1BJQqksF2m5wPzO5K18OBii0GheoC809GyIlECuR9wNP/88uCxSIEL
 lG+GlRkpnFD5+Xi1EqpaGTrEBUGyhiWKjq1092dQ6SQZb+xSozO2LVdfqVzb2YBatdG3OKmWZ
 f+YvwmqFAC4k3lZ+dtEQYPrpDsa2uuyKHA7WspI5TAD5kmIPjsFojmD+9UcZE7Bx680wISh0q
 tfyFTZgbDMykZwjcA8rZqdCCEWgTm9AvXXH4nal5QTM6wngxyGIQJ3qEsVNAuyTei4jxARYZO
 +KW8vq/S3QZ7x319iCRFFKccNoa3w+uY3BmekI5LsSDbWGkTpPZuB/GTnzSWFk+8AAcV7Jnu/
 5YrdeFZ/zgZ/hCdhmCjYWrAu4CL3pZURCzyUz8QOn2lniYDPAmZSMy9S5hxDlaWGx3G+rwy2L
 1RfBQG81PUA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: pelzflorian@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

I wrote:
> > If all files and directories have the same names and the same content,
> > then xorriso runs with the same arguments and the same SOURCE_DATE_EPO=
CH
> > value are supposed to create byte-identical result ISOs.

Ludovic Court=C3=A8s wrote:
> I=E2=80=99ve tried setting it but that doesn=E2=80=99t make any differen=
ce.

We should investigate this ...
... yes, there is some problem. But not always.

Timestamps of the root directory differ after mapping to an address
that is not the ISO root directory (here: /x):

  xorriso -outdev test.iso -map x /x
  xorriso -outdev test2.iso -map x /x

but not after mapping to the root directory:

  xorriso -outdev test.iso -map x /
  xorriso -outdev test2.iso -map x /

This would explain why my tests for Debian ISOs do not show this problem.

Do i get it right that gnu/build/vm.scm maps no files to "/" but all to
deeper paths:
                "etc=3D/tmp/root/etc"
                "var=3D/tmp/root/var"
                "run=3D/tmp/root/run"
I am unsure about
                "-path-list" "-"


I will now dig into the source to find the reason and maybe a preliminary
remedy.


> How did you visualize differences, Florian?

(I'm aware that i am not Florian.)

I made myself a little program "hxd" for combined hex-cleartext-decimal du=
mp,
positional diff, and (not to be focused too much) CD-Text decoding.

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

$ export SOURCE_DATE_EPOCH=3D$(date +%s)
$ xorriso -outdev test.iso -map x /x
...
xorriso : NOTE : Environment variable SOURCE_DATE_EPOCH encountered with v=
alue 1555311212
...
$ xorriso -outdev test2.iso -map x /x
...
xorriso : NOTE : Environment variable SOURCE_DATE_EPOCH encountered with v=
alue 1555311212
...
$ hxd -diff test.iso test2.iso

   32944 :    15   7  38  43   0   2   0   0   1   0   0   1   1   0  32  =
32
                       &   +
000080b0 :    0f  07  26  2b  00  02  00  00  01  00  00  01  01  00  20  =
20
                         ###
000080b0 :    0f  07  26  36  00  02  00  00  01  00  00  01  01  00  20  =
20
                       &   6
   32944 :    15   7  38  54   0   2   0   0   1   0   0   1   1   0  32  =
32

... more differences ...

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D

It looks like the root directory got the current timestamp. The other
differences are with the ".." directory entries of the directories in
the first level under "/".


The source of "hxd" is pure C, no special dependencies, 8141 bytes.
Shall i upload it somewhere ?


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 15 Apr 2019 06:07:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 15 02:07:41 2019
Received: from localhost ([127.0.0.1]:33602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFumL-00080W-95
	for submit <at> debbugs.gnu.org; Mon, 15 Apr 2019 02:07:41 -0400
Received: from pelzflorian.de ([5.45.111.108]:59052 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hFumJ-00080O-Al
 for 33639 <at> debbugs.gnu.org; Mon, 15 Apr 2019 02:07:40 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id EE086360038;
 Mon, 15 Apr 2019 08:07:37 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1555308458;
 bh=ip+vElsB5TkPxkELPwuWGFVCnv8og2RB/XEMvNQOX9E=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=PunkDCbqlWjSq5WfjGA61XEGFhBJWeBqUJBCc28TZzvRVuwU53qZbDfrOQmp1gwCq
 WLMqk+owasJNAqlCWpGeRH0iv2S4ISnCgZ5iyK1FWuX5BOmWZihKDHp0UXpoRU4v6D
 SSlYcrXCkD/qAai0sVrHEoSR12vaiu9cXzcZHeXg=
Date: Mon, 15 Apr 2019 08:07:37 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
Message-ID: <20190415060737.aw2msuviarkrd66a@HIDDEN>
References: <20190413134609.kwmx53hyawgtaaza@HIDDEN>
 <3867672606037906126@HIDDEN>
 <87h8b0i7ol.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87h8b0i7ol.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, Thomas Schmitt <scdbackup@HIDDEN>,
 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Apr 14, 2019 at 11:43:54PM +0200, Ludovic Courts wrote:
> How did you visualize differences, Florian?  Diffoscope fails for me
> here (missing tools and scalability issue.)
> 

For me diffoscope failed too.  I used cmp as described here:

https://superuser.com/questions/125376/how-do-i-compare-binary-files-in-linux

and then looked at the addresses in ghex. It is not a nice method.
Sorry.  It works though.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 14 Apr 2019 21:44:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 17:44:08 2019
Received: from localhost ([127.0.0.1]:33279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFmv2-0006Dx-1B
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2019 17:44:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39251)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hFmuy-0006DH-C2
 for 33639 <at> debbugs.gnu.org; Sun, 14 Apr 2019 17:44:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44839)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hFmus-0000CK-75; Sun, 14 Apr 2019 17:43:58 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=41692 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hFmur-0008DE-NP; Sun, 14 Apr 2019 17:43:58 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <20190413134609.kwmx53hyawgtaaza@HIDDEN>
 <3867672606037906126@HIDDEN>
Date: Sun, 14 Apr 2019 23:43:54 +0200
In-Reply-To: <3867672606037906126@HIDDEN> (Thomas Schmitt's
 message of "Sat, 13 Apr 2019 18:20:57 +0200")
Message-ID: <87h8b0i7ol.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, pelzflorian@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Thomas,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

> Florian Pelz wrote:
>> Yes, it seems fixed, I can confirm.
>
> Way back in december, Ludovic Court=C3=A8s wrote:
>>...> Based on this and on a suggestion Ricardo made on IRC, I passed
>>...> -padding 10m and that solved the problem.  \o/
>
> Please do not forget to remove this -padding command.

Done in f6e3f0f9b1287eca120517a0161e3d0b1ed6ed44.

> If all files and directories have the same names and the same content,
> then xorriso runs with the same arguments and the same SOURCE_DATE_EPOCH
> value are supposed to create byte-identical result ISOs.

I=E2=80=99ve tried setting it but that doesn=E2=80=99t make any difference.

How did you visualize differences, Florian?  Diffoscope fails for me
here (missing tools and scalability issue.)

> In december, i wrote:
>>...> >   Creation Time: 1970010119010649
> Ludovic Court=C3=A8s wrote:
>>...> For reproducibility purposes we set timestamps and related things
>>...> to the Epoch.
>
> Is this independent of SOURCE_DATE_EPOCH ?

Yes.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639-done <at> debbugs.gnu.org:


Received: (at 33639-done) by debbugs.gnu.org; 14 Apr 2019 15:47:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 11:47:18 2019
Received: from localhost ([127.0.0.1]:33029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFhLg-0001TK-Et
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2019 11:47:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hFhLe-0001T8-Qz
 for 33639-done <at> debbugs.gnu.org; Sun, 14 Apr 2019 11:47:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41099)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hFhLX-0005ra-RK; Sun, 14 Apr 2019 11:47:08 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=56894 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hFhLX-0003Yj-6g; Sun, 14 Apr 2019 11:47:07 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <20190409221313.b3uzvcj5bluoygp5@HIDDEN>
 <16217671677318139528@HIDDEN> <87o95alxtn.fsf@HIDDEN>
 <20190413134609.kwmx53hyawgtaaza@HIDDEN>
Date: Sun, 14 Apr 2019 17:47:05 +0200
In-Reply-To: <20190413134609.kwmx53hyawgtaaza@HIDDEN>
 (pelzflorian's message of "Sat, 13 Apr 2019 15:46:09 +0200")
Message-ID: <87tvf0io7a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33639-done
Cc: bug-xorriso@HIDDEN, 33639-done <at> debbugs.gnu.org,
 Thomas Schmitt <scdbackup@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

"pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN> skribis:

> On Fri, Apr 12, 2019 at 11:26:28PM +0200, Ludovic Court=C3=A8s wrote:
>> Florian, it would be great if you could confirm.  Just apply it on
>> =E2=80=98master=E2=80=99, and then run:
>>=20
>>   ./pre-inst-env guix system disk-image --file-system-format=3Diso9660 \
>>      gnu/system/install.scm
>>=20
>
> Yes, it seems fixed, I can confirm.  Four rebuilds seem fine and are
> bootable in QEMU.

This is a happy end.  :-)
Committed as 66ec389580d4f1e4b81e1c72afe2749a547a0e7c.

Thank you!

Ludo=E2=80=99.




Notification sent to "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 33639-done <at> debbugs.gnu.org:


Received: (at 33639-done) by debbugs.gnu.org; 14 Apr 2019 15:47:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 14 11:47:18 2019
Received: from localhost ([127.0.0.1]:33029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFhLg-0001TK-Et
	for submit <at> debbugs.gnu.org; Sun, 14 Apr 2019 11:47:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hFhLe-0001T8-Qz
 for 33639-done <at> debbugs.gnu.org; Sun, 14 Apr 2019 11:47:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41099)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hFhLX-0005ra-RK; Sun, 14 Apr 2019 11:47:08 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=56894 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hFhLX-0003Yj-6g; Sun, 14 Apr 2019 11:47:07 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <20190409221313.b3uzvcj5bluoygp5@HIDDEN>
 <16217671677318139528@HIDDEN> <87o95alxtn.fsf@HIDDEN>
 <20190413134609.kwmx53hyawgtaaza@HIDDEN>
Date: Sun, 14 Apr 2019 17:47:05 +0200
In-Reply-To: <20190413134609.kwmx53hyawgtaaza@HIDDEN>
 (pelzflorian's message of "Sat, 13 Apr 2019 15:46:09 +0200")
Message-ID: <87tvf0io7a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33639-done
Cc: bug-xorriso@HIDDEN, 33639-done <at> debbugs.gnu.org,
 Thomas Schmitt <scdbackup@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

"pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN> skribis:

> On Fri, Apr 12, 2019 at 11:26:28PM +0200, Ludovic Court=C3=A8s wrote:
>> Florian, it would be great if you could confirm.  Just apply it on
>> =E2=80=98master=E2=80=99, and then run:
>>=20
>>   ./pre-inst-env guix system disk-image --file-system-format=3Diso9660 \
>>      gnu/system/install.scm
>>=20
>
> Yes, it seems fixed, I can confirm.  Four rebuilds seem fine and are
> bootable in QEMU.

This is a happy end.  :-)
Committed as 66ec389580d4f1e4b81e1c72afe2749a547a0e7c.

Thank you!

Ludo=E2=80=99.




Notification sent to Ludovic Courtès <ludo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Merged 33639 35136. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 13 Apr 2019 16:19:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 13 12:19:12 2019
Received: from localhost ([127.0.0.1]:58968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFLN1-0003aa-SL
	for submit <at> debbugs.gnu.org; Sat, 13 Apr 2019 12:19:12 -0400
Received: from mout.gmx.net ([212.227.17.21]:45683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1hFLMz-0003aF-17
 for 33639 <at> debbugs.gnu.org; Sat, 13 Apr 2019 12:19:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1555172341;
 bh=NE5tO6qAWDkau5LlvkQuZK+643TIQQWSVpzGaj6FGMo=;
 h=X-UI-Sender-Class:Date:From:To:Subject:Cc:References:In-Reply-To;
 b=F6RDzRomjrXl/PWL1mBiqxerBW5LflyH1bOChF6gxi6cVZPccmTl3xuBjoWR8WWlo
 xfhOAyXKJDimMSOz8dO1h+q20SmtYJsoRemAsbXj5fJ8Kk+zCDExDmhfXfkHxwpZJu
 e36fIOsRB/Q4bNpMH103l93GQIQMK4ijK114f2RE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from scdbackup.webframe.org ([87.167.207.225]) by mail.gmx.com
 (mrgmx103 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0LoVja-1gdXVX32RW-00garZ; Sat, 13 Apr 2019 18:19:01 +0200
Date: Sat, 13 Apr 2019 18:20:57 +0200
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
References: <20190413134609.kwmx53hyawgtaaza@HIDDEN>
In-Reply-To: <20190413134609.kwmx53hyawgtaaza@HIDDEN>
Message-Id: <3867672606037906126@HIDDEN>
X-Provags-ID: V03:K1:VsQKgOz6QNl5pDeRZqfT76gdX7p4RlTBjQfEM7b6k/1cOXY522L
 zOTxdrYZ4hpSjq5ZQ4xbPLUtcpqSBQNbul6Ts3m+zTnXOuCX66tWcBLBhLyn0axX+uK09rb
 2hlJ4Rxq7eajQWzC7des2QnwGHaaRzVRGEAqvqgtIPE9bEsjbj4UHcr3wX/7caUMcpA7Km8
 2yVs3lEajReVDrNY8oVmQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:l2X494SMdWk=:FcOnhzgdNcpyLMruyKBkVg
 zgmO4MGnCBoEFYOKTwCvuLIvxgDKizK6tiV/heH4J9r7oz8IOxC9dM0giCmgNKvskls76/eQG
 HWUfo0kqNnt7UMg8eKogcnDbhgq6vrCvXQSWIxbXAE+RgYnYWWERnATOcGRLsUl6unzkDC6mK
 vfKxx3BYdfR7nUtXm+VMgQaNsxa9NysNlwENRAtv4XC55eOKY2jhaGBhpliXbnYQqarNv1ko/
 LXJjUhHcN8I0cggDcjbYvTMODy3rhZ2kEdCtPZ87ZjPKSendnI0UqxINxbUl73u8UIf3MDu5c
 nTAEKF+MW9KzlopxL8ErfxeQirW08nzdHzxk8yvsgIySt+55eML/O8g2aVXUEAtZhwMOkWH3E
 lubwhYtEGb3rxMw/tmZJkyHdLpvp9NmYPQHgsgZmKVPkGMgnxEnAMOTjyBLU0h2sz49EPJAIz
 6caizHIAsPdLeAcL4TYPBr5BBHAvAPwJaa+z2IiRrij3iHo5S5+Cs6hJDRr69pO0zYGFt4SH9
 lDNUcR/4f6q5mnJXBXP6c+M6657wJr10FulLN88TV5Bc88skS+EJK0MzRods/+974GtKI0YzG
 3gOnGMI+EQuLXBJCZ14oVebCSIJkjpz787cVwK2sXuuvOzH5nBiCkwlDysQ0nq2b6Kp0DbM7u
 wsI5sPqqB3Ix87K7LyHfcSUXyWoiaFqb4e2SYdu+Fw1C953l7ThS8SBcjLYBiYFRGIFYPni9P
 idZOyRg0MvNsqdFCLm8vQW0O7fBjpI3t8VhD47AhmelTeTRd74VVtqoRPdIgBTMjSlEzzazqf
 2GJV7DsRFevvC4iKaYA+djM35kJwc6CadZd0TXg2+sF6KNRiuSumzMTIdpgKXa54YDKRHxIUe
 Rdegwupi1E2MLj9fd7efIS2fEEDcK9lIRDlBGq6NErr8bz3aC087zjZmkRHnABC+3ujoOckNo
 sVhVXK5zn8A==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: pelzflorian@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Florian Pelz wrote:
> Yes, it seems fixed, I can confirm.

Way back in december, Ludovic Court=C3=A8s wrote:
>...> Based on this and on a suggestion Ricardo made on IRC, I passed
>...> -padding 10m and that solved the problem.  \o/

Please do not forget to remove this -padding command.


Florian Pelz wrote:
>  The content is different at the beginning of the ISO image
> (maybe padding or timestamps in the file system)

That's to expect if not environment SOURCE_DATE_EPOCH is set and exported.

SOURCE_DATE_EPOCH belongs to the specs of reproducible-builds.org. It
is supposed to be either undefined or to contain a decimal number which
tells the seconds since january 1st 1970. If it contains a number, then
it is used for all timestamps and as seed of pseudo-random numbers like
MBR id or GPT UUIDs.

If all files and directories have the same names and the same content,
then xorriso runs with the same arguments and the same SOURCE_DATE_EPOCH
value are supposed to create byte-identical result ISOs.

In december, i wrote:
>...> >   Creation Time: 1970010119010649
Ludovic Court=C3=A8s wrote:
>...> For reproducibility purposes we set timestamps and related things
>...> to the Epoch.

Is this independent of SOURCE_DATE_EPOCH ?


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 13 Apr 2019 13:46:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 13 09:46:14 2019
Received: from localhost ([127.0.0.1]:58363 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFIyz-00085l-UV
	for submit <at> debbugs.gnu.org; Sat, 13 Apr 2019 09:46:14 -0400
Received: from pelzflorian.de ([5.45.111.108]:56366 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hFIyx-00085c-CD
 for 33639 <at> debbugs.gnu.org; Sat, 13 Apr 2019 09:46:12 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id ECE56360038;
 Sat, 13 Apr 2019 15:46:09 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1555163170;
 bh=oRY0eADOPg8+hjrFrdrhfDXnb1GU+WMmEICnJ4vKtac=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=Kw3idJHSXM9167QpxCB2yeHyt7JCsNBjzKM0U58U9Q2A0FeDML5xMyJRKwi5mUUGH
 lWwU6OP0vCcRybtIE5aA2gRPuLGrr9Qi0HDLNAENQmCAwozbcQphGxJba4WQO+eBOF
 BbpzR+OaXgJPRfsiyN2tHnVzNQEqTy99Bp1WvRzA=
Date: Sat, 13 Apr 2019 15:46:09 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
Message-ID: <20190413134609.kwmx53hyawgtaaza@HIDDEN>
References: <20190409221313.b3uzvcj5bluoygp5@HIDDEN>
 <16217671677318139528@HIDDEN>
 <87o95alxtn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87o95alxtn.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, Thomas Schmitt <scdbackup@HIDDEN>,
 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Apr 12, 2019 at 11:26:28PM +0200, Ludovic Courtès wrote:
> Florian, it would be great if you could confirm.  Just apply it on
> ‘master’, and then run:
> 
>   ./pre-inst-env guix system disk-image --file-system-format=iso9660 \
>      gnu/system/install.scm
> 

Yes, it seems fixed, I can confirm.  Four rebuilds seem fine and are
bootable in QEMU.  They have the same size and `xorriso -indev` is
happy.  The content is different at the beginning of the ISO image
(maybe padding or timestamps in the file system) and in the EFI
partition at the very end of the ISO, but this seems insignificant.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 13 Apr 2019 06:35:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 13 02:35:40 2019
Received: from localhost ([127.0.0.1]:57530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hFCGK-0003fY-5r
	for submit <at> debbugs.gnu.org; Sat, 13 Apr 2019 02:35:40 -0400
Received: from mout.gmx.net ([212.227.15.19]:55985)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1hFCGI-0003fI-7J
 for 33639 <at> debbugs.gnu.org; Sat, 13 Apr 2019 02:35:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1555137330;
 bh=Ng4JdXCBHXIXx/7Fyn7s9hYQA8fScdUtwKmMJISMzK8=;
 h=X-UI-Sender-Class:Date:From:To:Subject:Cc:References:In-Reply-To;
 b=gCoUUMloMSzo8HG49lHkvLa31WXXu/IH1GErY2HfnFGgHoufkBgypLSmTEqelIVur
 ZNcQKmhlvc7yk3QKCA3ILLsN5e7Ffzi0NGy30/LPh1HPmgmaVJh/t86Q0DhdCzHVQB
 lUGWTeBuGV0krNLUHa7GkbZx1ZeFngsnd4wvxm6E=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from scdbackup.webframe.org ([87.167.207.225]) by mail.gmx.com
 (mrgmx001 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0MIMUZ-1hImUv1nx9-004CQd; Sat, 13 Apr 2019 08:35:30 +0200
Date: Sat, 13 Apr 2019 08:37:25 +0200
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
References: <87o95alxtn.fsf@HIDDEN>
In-Reply-To: <87o95alxtn.fsf@HIDDEN>
Message-Id: <1173672442521511321@HIDDEN>
X-Provags-ID: V03:K1:R2eF38bIEf5XQ9oWYUmV5qoGJOGzK+qUenvKauWkNCR0AKS1cSE
 lFAwgid8oU3bZ30sxwwcsn71LRSQrg4SbF0v3PvNq6lCygHoqV9oxYECTLocHQ+86B+bjX8
 L0UZQsmsGvzifsuOl74EuCOSzu1eNJ7nVV8eqxTb8YB7wNuGWsR/V8JmDlhhXg6q/F6p06m
 Zomgt8Q/v+hoiIvo4aJ5A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:2cI65NHs6Ys=:eW8xKDaRadhy37GCtOHmbM
 +qtFmIkXs1FghM/RtIpP4GX8baTxjvwHVPaM2vOAK4zoQ3/wV0ik9fmXqaGc0hwMV5BjXYQBR
 6EtrGxg9VA+DfRxPrd7tHu9dfXWhi0otCz6srrQa/DO3rCjPRXhjQJLX4M45wO/9w2/vRlBg5
 B1VtDZ5dyM9sbJciirvV22JqHONKmMDN1GBrewSHTtIkAhWea+UUxZ3gCQ79iOi8cmqXTLSQP
 jdprcMC3sda6lE95WVhG2zORleaNigGpIMhYiHDAkHpb4baUL9FDKCvAP55TzaV6pYloTy1Ze
 s4hkbnFQqkkBSpNnrcC3aCO1RLRWorpAadHH0/u/a+GoisaYEk5E7J/H4Pbe+sl3NGtGwwOlB
 uPwOWnAFJUr5oOzbhjjYWVvSwwYVJTNfLpWTNkKs2+2PpqAuXhHQ68Bz7t5jeFVPVs3y8d+B8
 KhYdUGb8BYOA451NF/u+zYixYcHcETQwVRDf8zlnZyrigpyReGryvLSnEcLBSNHFNDDEoErrl
 sNIajhRNNCLfmlNYs9OR2dFYri0kAURK2xfaN9nCQf+aufoZqZuSzNPjRH0I3U0FOee3rGr11
 RGci8tH98sqbYL+ghjXWROGNIQlEqcsLKPn2mSx4c/K5Lz3ZJY9hV9nBCuwHMo29WFPRo5s92
 uTvbk75KS6+ujbauLw5v2Wk97BVW1PH3GdZoEL0CnjAjAYJvO9NPgc8ZrUqPqP9TJAQQrBxQF
 QQxyXvWrxIifL7j3rbfNZfKqDUcimat19QdmvK3TOHafDkseo8COS3EDQ6Nun4+mzLcJ3xWSL
 KeChyMtutwsIfizqxrKMjaKNGk3uNk964Mt4PZjUuiSH52pGBBeowp3ftUeK6JQUG8AyxGgYJ
 g1q8IdSROzz1T5TRrK2u5EcVDt76fvVSwRsiIGDs0EXPp1kDLQuBr3IyFUQzjO3JM6kqTQKvO
 mNdY/a1Czbg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: pelzflorian@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> apologies for blaming Xorriso, which presumably never had
> anything to do with it!

I will not complain that this time it was not my fault.


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 12 Apr 2019 21:26:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 12 17:26:39 2019
Received: from localhost ([127.0.0.1]:56899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hF3h1-000702-0y
	for submit <at> debbugs.gnu.org; Fri, 12 Apr 2019 17:26:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hF3gz-0006zp-MM
 for 33639 <at> debbugs.gnu.org; Fri, 12 Apr 2019 17:26:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42695)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hF3gt-00021R-Oh; Fri, 12 Apr 2019 17:26:32 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60386 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hF3gt-00080X-BU; Fri, 12 Apr 2019 17:26:31 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>,
 "\"pelzflorian \(Florian Pelz\)\"" <pelzflorian@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <20190409221313.b3uzvcj5bluoygp5@HIDDEN>
 <16217671677318139528@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 23 Germinal an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 12 Apr 2019 23:26:28 +0200
In-Reply-To: <16217671677318139528@HIDDEN> (Thomas Schmitt's
 message of "Wed, 10 Apr 2019 13:17:14 +0200")
Message-ID: <87o95alxtn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello Florian & Thomas,

I was able to reproduce the issue: =E2=80=98guix system disk-image
--file-system-format=3Diso9660=E2=80=99 would create partly unreadable imag=
es.

Since this was pretty much like the issue I had encountered with =E2=80=98g=
uix
system docker-image=E2=80=99, which would produce truncated tarballs, and s=
ince
calling =E2=80=98sync=E2=80=99 wasn=E2=80=99t enough, I looked at our file =
system mount options=E2=80=A6

The attached patch fixes the problem for me.  In hindsight, it=E2=80=99s not
surprising that =E2=80=9Ccache=3Dloose=E2=80=9D on the /xchg mount point (u=
sed to exchange
data between the host and the guest) would have this effect.

Florian, it would be great if you could confirm.  Just apply it on
=E2=80=98master=E2=80=99, and then run:

  ./pre-inst-env guix system disk-image --file-system-format=3Diso9660 \
     gnu/system/install.scm

Thanks, and apologies for blaming Xorriso, which presumably never had
anything to do with it!

Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/system/vm.scm b/gnu/system/vm.scm
index db9b1707d7..22e3fcc522 100644
--- a/gnu/system/vm.scm
+++ b/gnu/system/vm.scm
@@ -94,6 +94,12 @@
 (define %linux-vm-file-systems
   ;; File systems mounted for 'derivation-in-linux-vm'.  These are shared with
   ;; the host over 9p.
+  ;;
+  ;; The 9p documentation says that cache=loose is "intended for exclusive,
+  ;; read-only mounts", without additional details.  It's much faster than the
+  ;; default cache=none, especially when copying and registering store items.
+  ;; Thus, use cache=loose, except for /xchg where we want to ensure
+  ;; consistency.
   (list (file-system
           (mount-point (%store-prefix))
           (device "store")
@@ -102,18 +108,12 @@
           (flags '(read-only))
           (options "trans=virtio,cache=loose")
           (check? #f))
-
-        ;; The 9p documentation says that cache=loose is "intended for
-        ;; exclusive, read-only mounts", without additional details.  In
-        ;; practice it seems to work well for these, and it's much faster than
-        ;; the default cache=none, especially when copying and registering
-        ;; store items.
         (file-system
           (mount-point "/xchg")
           (device "xchg")
           (type "9p")
           (needed-for-boot? #t)
-          (options "trans=virtio,cache=loose")
+          (options "trans=virtio")
           (check? #f))
         (file-system
           (mount-point "/tmp")
@@ -530,10 +530,7 @@ should set REGISTER-CLOSURES? to #f."
                  #$os
                  #:compressor '(#+(file-append gzip "/bin/gzip") "-9n")
                  #:creation-time (make-time time-utc 0 1)
-                 #:transformations `((,root-directory -> "")))
-
-                ;; Make sure the tarball is fully written before rebooting.
-                (sync))))))
+                 #:transformations `((,root-directory -> ""))))))))
     (expression->derivation-in-linux-vm
      name build
      #:make-disk-image? #f

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 10 Apr 2019 21:23:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 10 17:23:15 2019
Received: from localhost ([127.0.0.1]:53621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEKgc-0003Wd-Re
	for submit <at> debbugs.gnu.org; Wed, 10 Apr 2019 17:23:15 -0400
Received: from pelzflorian.de ([5.45.111.108]:45954 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hEKga-0003WU-IP
 for 33639 <at> debbugs.gnu.org; Wed, 10 Apr 2019 17:23:13 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id BE76036003D;
 Wed, 10 Apr 2019 23:23:10 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1554931390;
 bh=ZCbGRfhs4tyIZXpAhSMtvV1XFtNssgFN2ZPpjOOeMKg=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=Vka6ysr7P80ElXloe/kFb/qVxrAjLvJs/sOYhxgfYHE34gIKS9GubK7Wsjh58pgzp
 U7SHKfXgtwJ4XDrvfszDcmxaNnc7Qaf9SVVZ76Qo7ElFHC5EdUeQ/0W8k9NMTYIufg
 Ajm3zc9nweXXU0d3XjK6FZmzo0Q4zf+p9ovl7y1w=
Date: Wed, 10 Apr 2019 23:23:10 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Thomas Schmitt <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
Message-ID: <20190410212310.iv2t72rblhupcmkt@HIDDEN>
References: <20190409221313.b3uzvcj5bluoygp5@HIDDEN>
 <16217671677318139528@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <16217671677318139528@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, Apr 10, 2019 at 01:17:14PM +0200, Thomas Schmitt wrote:
> Given the smell of a race condition, i would next try to let the VM
> wait 10 or 15 seconds after xorriso is finished and before it shuts down.
> 

I added a (sleep 15) after ludo’s (sync).  The first image worked but
now I got

libburn : SORRY : Read start address 807777s larger than number of readable blocks 798640

again.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 10 Apr 2019 11:15:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 10 07:15:36 2019
Received: from localhost ([127.0.0.1]:52432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hEBCa-0007HW-8H
	for submit <at> debbugs.gnu.org; Wed, 10 Apr 2019 07:15:36 -0400
Received: from mout.gmx.net ([212.227.17.20]:59975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1hEBCY-0007HJ-FL
 for 33639 <at> debbugs.gnu.org; Wed, 10 Apr 2019 07:15:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1554894927;
 bh=sMVQxANHyd5zS6zBSzsPFUL0DYLidiXLf8TI4F1XGuc=;
 h=X-UI-Sender-Class:Date:From:To:Subject:Cc:References:In-Reply-To;
 b=G290w/B9nzHXvtYwsdAac4ZXtn5Dl781iAb/AXkAj1zfRt6b9UnOYWsNUoGtbfh9O
 f2Jnijln3TplfKmHAhOByMYjJkO4ODD49iozAxK93yBu/ZD/FQ6w6TkOtaDBB/Dmup
 JMR9Rubmn278ErPgH3EUenSNQbwotNXME3IPHDME=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from scdbackup.webframe.org ([87.167.207.225]) by mail.gmx.com
 (mrgmx102 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0Luajs-1gnbsF1MMy-00zraM; Wed, 10 Apr 2019 13:15:27 +0200
Date: Wed, 10 Apr 2019 13:17:14 +0200
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
References: <20190409221313.b3uzvcj5bluoygp5@HIDDEN>
In-Reply-To: <20190409221313.b3uzvcj5bluoygp5@HIDDEN>
Message-Id: <16217671677318139528@HIDDEN>
X-Provags-ID: V03:K1:p0yplKjzpEuP9sfLmbuXOXKJ3E/bjVAKw878OtkNN8xlktJI3st
 SdjO/9oOJtWACRtVE76HBxnz+svcDL9bjk3859GRRJS/rZbdCe3vZ8TrpLVkfIHHmNkFdtI
 auaTDbou1nK4y1Gs680I0JDtb6AezcNz0QoozQy8RfVP4PO6zrIWHsspDbNn4sbJLO3aBNR
 BXVx5T0xTZc7buh/652aA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:SFjqWgF2tVE=:XcUkDzbDjBYd7pAxnbAaVn
 CGxdutVjlIbp4QI8vCbcmeYBroleg04HqoMJRoSKl7hWEoW5nRhCuB3KoN3kY9gwfJMMzDtVO
 KLjg3Gfy1pBIz7RVkDuWRe+A/uUj380zwIIxKEBloB0nqmRjcNaNu1AmnccV3sI805FhAEtS6
 zoR+9QVRJKtZRE7JpiAbP19F+t/RsQehNVnjLbGFXZeoSiTmsjVstPf2ChTAnAABY1voqLNhJ
 7sC2ENpaI5hsjtBVYpvEbj2pptNTCUyTN/g+UVKDAUJkhh4kkUR+HuLvDzhVU77rto1DFIXu2
 v5S0eJSB1MN0D7Hx2C60l3Wgzg/gaUHNeOZbgK8Fm6I42LwiYWykRQBQwmkdv38N+0leprcbt
 eRyvFsQy411b7kviODZXTyeOjTNw8fBln82cWZssp54GWf4B7HqFvvAc1PjAx9DoqFCLP/AoC
 emZ4Vj7JhDIH+MhRhvoaptPxsUMdXtSQwP6nWV0fHyxUequpVLZwRj2ufcs/p7L7JbnQkZQO6
 QUnUyFrfDkzPZZvSfUB7JMHc/2st+mo53mPiMSK/FAjk2TQjJdQUTR5h/xFVNRSCATRvBj7ht
 7DpW8VFZLQyNq0IvVGUndlIYiaMjVuzmCi4cMWIUnojNFn56RMJOrduNU3XcvIxpOZhM4i76W
 GVAhBRHSxXTh0nuLLt/3Bm0WjaKjaqPFldADU+S7xDZJmzpUTEJYjdMnF1gDVsIzfo/qQKjSN
 tDw8i+nV1EWXkp3oPAyHGq8qpM0hPqN/vLQQcXEtriewUhFAzLC0nzlpnHavfr2rFBhMN2omL
 MPTd3nATMvUmTXVQZ2tHcAZj3Dry3qVF3X2JQL/k4LtD3xzhVAk1lU8mJUCxFXk0mj6bmZfti
 8ktmaBlJh52BFEJfbnqu70dDU+DPsroIdsUXYdy7RdcW4MSWZarSmT4yEOUV+cCqgJhfVYB8d
 oz4zvL9moeA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: pelzflorian@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Ludovic Court=C3=A8s wrote:
> > Florian: could you check whether the patch below solves the problem fo=
r
> > you?

Florian Pelz wrote:
> No, sadly not.

Given the smell of a race condition, i would next try to let the VM
wait 10 or 15 seconds after xorriso is finished and before it shuts down.

Not as a final remedy but just as proof that the VM end is really the
culprit. (It could also be an i/o problem between VM and host which
is unrelated to the VM end.)


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 9 Apr 2019 22:13:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 18:13:18 2019
Received: from localhost ([127.0.0.1]:52089 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDyzW-0000O3-FD
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2019 18:13:18 -0400
Received: from pelzflorian.de ([5.45.111.108]:44602 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hDyzT-0000Nn-KD
 for 33639 <at> debbugs.gnu.org; Tue, 09 Apr 2019 18:13:16 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id D98E63603D8;
 Wed, 10 Apr 2019 00:13:13 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1554847994;
 bh=W8sU3C4sTN/QKgWTfdHuiZpq6pMc7hJzKBmPJdf3EfA=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=gowOyA5Xd1DEwucNbiSmxPi99dl4rIVAzE0cd+IsSySbpihWZw2tAX5781JzB0dxH
 LaIXEl8Q48Ofg2xmyc32whMyZzZM/ai0a0uf1m1cWSTdy7Sjhr9tQlo1WDQFCjRdt/
 nAcDtFEDKrPuJUm2ES+HuNsjc2+7Xoh+i7zveOHY=
Date: Wed, 10 Apr 2019 00:13:13 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
Message-ID: <20190409221313.b3uzvcj5bluoygp5@HIDDEN>
References: <20190407201849.74qtwvazknbsaklg@HIDDEN>
 <2660367208964033194@HIDDEN>
 <87h8b8284q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87h8b8284q.fsf@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, Thomas Schmitt <scdbackup@HIDDEN>,
 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Apr 08, 2019 at 10:50:29AM +0200, Ludovic Courtès wrote:
> Hello,
> 
> "Thomas Schmitt" <scdbackup@HIDDEN> skribis:
> 
> > The fact that the VM always sees the expected size but the host sees varying
> > sizes supports the suspicion that at the end of the VM its i/o buffers or
> > virtual disk are not always properly flushed to the i/o system of the host.
> > The varying success smells like a race condition.
> 
> Indeed, that rings a bell: I fixed a similar issue in commit
> 0dc7d298a33f83d5f02a962b5f1bd24ee0e8ef07.
> 
> Florian: could you check whether the patch below solves the problem for
> you?
> 
> Thanks,
> Ludo’.
> 

No, sadly not.  I reconfigured to a commit with the Guix package
changed to use your patch and I again got this:

GPT PMBR size mismatch (3231103 != 3187775) will be corrected by write.
libburn : SORRY : Read start address 807775s larger than number of readable blocks 796944




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 8 Apr 2019 08:50:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 08 04:50:48 2019
Received: from localhost ([127.0.0.1]:48985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDPzM-0000Ag-J2
	for submit <at> debbugs.gnu.org; Mon, 08 Apr 2019 04:50:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hDPzK-0000AO-Mk
 for 33639 <at> debbugs.gnu.org; Mon, 08 Apr 2019 04:50:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42455)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hDPz7-0005E8-Pv; Mon, 08 Apr 2019 04:50:37 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=50046 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hDPz6-0000z7-Jc; Mon, 08 Apr 2019 04:50:33 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <20190407201849.74qtwvazknbsaklg@HIDDEN>
 <2660367208964033194@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 19 Germinal an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 08 Apr 2019 10:50:29 +0200
In-Reply-To: <2660367208964033194@HIDDEN> (Thomas Schmitt's
 message of "Sun, 07 Apr 2019 23:35:16 +0200")
Message-ID: <87h8b8284q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN,
 "pelzflorian \(Florian Pelz\)" <pelzflorian@HIDDEN>,
 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

> The fact that the VM always sees the expected size but the host sees vary=
ing
> sizes supports the suspicion that at the end of the VM its i/o buffers or
> virtual disk are not always properly flushed to the i/o system of the hos=
t.
> The varying success smells like a race condition.

Indeed, that rings a bell: I fixed a similar issue in commit
0dc7d298a33f83d5f02a962b5f1bd24ee0e8ef07.

Florian: could you check whether the patch below solves the problem for
you?

Thanks,
Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/system/vm.scm b/gnu/system/vm.scm
index db9b1707d7..3ee03c84a0 100644
--- a/gnu/system/vm.scm
+++ b/gnu/system/vm.scm
@@ -240,7 +240,11 @@ made available under the /xchg CIFS share."
                                   #:target-arm32? #$(target-arm32?)
                                   #:disk-image-format #$disk-image-format
                                   #:disk-image-size size
-                                  #:references-graphs graphs))))))
+                                  #:references-graphs graphs)
+
+                ;; Make sure I/O buffers get flushed.  This is particularly
+                ;; important when MAKE-DISK-IMAGE? is true.
+                (sync))))))
 
     (gexp->derivation name builder
                       ;; TODO: Require the "kvm" feature.
@@ -530,10 +534,7 @@ should set REGISTER-CLOSURES? to #f."
                  #$os
                  #:compressor '(#+(file-append gzip "/bin/gzip") "-9n")
                  #:creation-time (make-time time-utc 0 1)
-                 #:transformations `((,root-directory -> "")))
-
-                ;; Make sure the tarball is fully written before rebooting.
-                (sync))))))
+                 #:transformations `((,root-directory -> ""))))))))
     (expression->derivation-in-linux-vm
      name build
      #:make-disk-image? #f

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 7 Apr 2019 21:33:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 07 17:33:46 2019
Received: from localhost ([127.0.0.1]:48801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDFQ9-0000Mv-Up
	for submit <at> debbugs.gnu.org; Sun, 07 Apr 2019 17:33:46 -0400
Received: from mout.gmx.net ([212.227.15.18]:60513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1hDFQ8-0000Mh-0N
 for 33639 <at> debbugs.gnu.org; Sun, 07 Apr 2019 17:33:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1554672816;
 bh=GL5dYyhVy94JKniGEBcRltNPiyE1i/1es8BTIcJy6ko=;
 h=X-UI-Sender-Class:Date:From:To:Subject:Cc:References:In-Reply-To;
 b=Ni6zXseK7B8FH7JQPy7sxeBG8BOUr/qVRbTwpW215bOohv2bwdceylUUVjZ6kY7Cr
 x8olc3Wmh2sCHFarILQKpuKWpMFUMi1LZhDyIqHBbMMXoxFJdEbGp/n94uGxoZbabO
 z7F5MBIhYiOLktj3qA8RajE9wECLGOhcqUtiqSyo=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from scdbackup.webframe.org ([87.167.207.225]) by mail.gmx.com
 (mrgmx002 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0M3RZI-1gviXA0wO8-00qwE2; Sun, 07 Apr 2019 23:33:36 +0200
Date: Sun, 07 Apr 2019 23:35:16 +0200
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
References: <20190407201849.74qtwvazknbsaklg@HIDDEN>
In-Reply-To: <20190407201849.74qtwvazknbsaklg@HIDDEN>
Message-Id: <2660367208964033194@HIDDEN>
X-Provags-ID: V03:K1:xv2834bfpW/u2rbBsrHCn5mQt+t4SPfSZ0pLniHzdq4dxAopqSV
 NDkQqCpXxZCiUVKxrC8tXZGVrRwVtaOknpl9A7f6FUrLMoUJ6NmaiH9EpitlbGIfTSd+8a3
 xc/k8MU5w29xYwWilDfQvFUhdVHLcBulL7zi/RAbU/YFps+wGgiZj7qF6LxfXjxUAV+z9Qw
 w2BUPGE0uSgF/rnwvE6Rg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:qmbIyPnk3+k=:WYCCfgeG6bk3hCQXelPldj
 or5LWPfhTx+SOcWnIcJLpiJ0wcLWLVMzCtMnVjvdgPhCQv0lteYDTS7arSqKE+HcUWgaPj61F
 dwfAAQQ037ARebxo21954TPMWqjTvm7Y+/npYYClfusiCHksPAPw44CMlDlwoqL8xJkdtAOBh
 ZOFYg9j//NJFWCAlCBZmVZkX71fGDVBeVKAOCUVVAZhBqrwBV+NVmOLQErz+73Fe0fwXond5l
 nLcdripfzHtuzNxF0VaHB98tHIdTeITew2j13kTqKmeL7e4xKP6eysEl38PLh+Jg2lwsV6wpN
 7BHyUXngMa13v+Q3rp81Zo/+O9WO0bU+/LvT2VV/JYqfCfO5oaK2h3raqzUcT3KkFzYIgxZKK
 gwDKl0F9poTN3X3fjo4lx92j+rKt7DhJAjMwvsC/dLewO4HemZKtcAq0v51CsGVj7yxXzvOhD
 f4byapdEsD8CtnS/M5qK8X8Djw1QOFTfiBJmn2En1WW//i2n4bffC60Oq9fRpoCcnY+369PMn
 S+Sc84M/c5a0Tf+YBrMpAlBLi8fHNwMaxsE8A+gKs4x4lDkLCSLws66K3eMFwuP/vbTyQ03um
 2CoBsZVZ4q2dZFpL+S5hhivp1ewqzJnH9z+hzBFengZm6cwZu5j6DVnQ6ml+A8b3ImYQ2WpHs
 JERUbwXBbJYKw05d0VsSPyNeJXkyNjx67N7kmspfm+M+JbtE9B7tzxYNuyJbGUYl+el+SwhNZ
 DCDSR/MhaggUDAtSadyBie4EruqvIObSfuM69pO3koJ56SApC77WutiOrbrEfVUrVuTw4Nu6j
 wfEn9d4l5gVmcQp88xZdtIWD499yTV1SapZ7AfKXrIlFyXjj2RKbtKuCs4ILyQsVqSF1npPKP
 JY/WdXnU0wolvwaGtnFXOuHeVDZLdl9S7x14+On5NWJUU1hxKo/NjjDfVg4sU+lY9r0KeJsoE
 TuVPjacKCZg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: pelzflorian@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Florian Pelz wrote:
> fdisk /gnu/store/4nrwajlpab4s8pdph4d77ww7716sa3ir-image.iso
> [...]
> GPT PMBR size mismatch (3231107 !=3D 3200391) will be corrected by write=
.
> For the corrupt iso with lstat call:
> and corrupt images alike.

The GPT Protective MBR counts with block size 512 up to the GPT backup
header block, not counting itself at block 0. So in blocks of 2048, the
expected size is
  3231108 / 4 =3D 807777 ISO 9660 blocks
But the perceived size is
  3200392 / 4 =3D 800098 ISO 9660 blocks

I wrote:
> > retrieve the last size messages of xorriso:

> For the corrupt iso with lstat call:
> ISO image produced: 807777 sectors
> Written to medium : 807777 sectors at LBA 0
> Within the VM lstat consistently reports 1654327296 for non-corrupt
> and corrupt images alike.

  1654327296 / 2048 =3D 807777
So from the view of the VM the ISO is as large as xorriso believes to have
written and as the GPT announces as position of the backup header block.


> > and the size of
> > the ISO image file size when it is finally ready for exposure in the w=
eb.

> ls -l on the result reports 1638600704.

  1638600704 / 2048 =3D 800098
This matches the perceived size from the fdisk complaint.


> On the non-corrupt image after adding the lstat call, both lstat
> within the VM and ls -l outside the VM print the same size: 1654327296

The fact that the VM always sees the expected size but the host sees varyi=
ng
sizes supports the suspicion that at the end of the VM its i/o buffers or
virtual disk are not always properly flushed to the i/o system of the host=
.
The varying success smells like a race condition.


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 7 Apr 2019 20:18:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 07 16:18:54 2019
Received: from localhost ([127.0.0.1]:48746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hDEFi-0006yj-Fm
	for submit <at> debbugs.gnu.org; Sun, 07 Apr 2019 16:18:54 -0400
Received: from pelzflorian.de ([5.45.111.108]:41774 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1hDEFe-0006yZ-PB
 for 33639 <at> debbugs.gnu.org; Sun, 07 Apr 2019 16:18:53 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 57C4D360038;
 Sun,  7 Apr 2019 22:18:49 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1554668329;
 bh=uWEMmu9QqJ3p8n9D2+Z+A8/RBXQF+zKIm+dcPzsqe2Q=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=QPfVysVI/e4+nqDZrWvCh8zozP2GmGPe+DhtEvM+hPDx/y7VmOE38SN11HuYvI+is
 lFQbDpXiLbNORMM99GaW9JlD2PiSDnHMJghc0avf2V908muw/IvnKtVEFKJMuc+hkF
 NeVRDaTenhgn2B11RU+wgYJxBEL63+CGyqJBfGF4=
Date: Sun, 7 Apr 2019 22:18:49 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Thomas Schmitt <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
Message-ID: <20190407201849.74qtwvazknbsaklg@HIDDEN>
References: <87pntumwy8.fsf@HIDDEN>
 <25824683177226565276@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <25824683177226565276@HIDDEN>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I have what may be the same problem on my x86_64 machine building for
x86_64 when creating an ISO install image by running

guix system disk-image --file-system-type=iso9660 gnu/system/install.scm

Since commit 45c0d1d790f01ebc020fc4b2787a6abcdaa3f383 increased the
RAM for the VM that builds the iso image from 256 to 512, iso files
consistently were corrupt, until I added an lstat call, see below.  On
a second and third attempt to build with lstat I got a corrupt image
again.  Guix install iso files I tested from before that commit were
fine.


florian@florianmacbook ~$ fdisk /gnu/store/4nrwajlpab4s8pdph4d77ww7716sa3ir-image.iso
[…]
GPT PMBR size mismatch (3231107 != 3200391) will be corrected by write.

xorriso is sorry exactly like in Ludo’s message from December 06.  The
numbers reported and file sizes are not consistent between corrupt
rebuilds.



On Fri, Dec 21, 2018 at 10:42:14PM +0100, Thomas Schmitt wrote:
> […]
> Next time you make an ISO, retrieve the last size messages of xorriso:
>   ISO image produced: 500069 sectors
>   Written to medium : 500069 sectors at LBA 0

For the corrupt iso with lstat call:

ISO image produced: 807777 sectors
Written to medium : 807777 sectors at LBA 0



> the new message about the ISO image file size in bytes,

Within the VM lstat consistently reports 1654327296 for non-corrupt
and corrupt images alike.



> and the size of
> the ISO image file size when it is finally ready for exposure in the web.
>

ls -l on the result reports 1638600704.

On the non-corrupt image after adding the lstat call, both lstat
within the VM and ls -l outside the VM print the same size: 1654327296
in this case, i.e. the same as lstat reported on the corrupt images
within the VM.


(To be precise, for lstat I added the following local git commit to my
copy of the Guix repo at the end of the G-expression executed by the
VM:

diff --git a/gnu/system/vm.scm b/gnu/system/vm.scm
index db9b1707d7..18ccb8970e 100644
--- a/gnu/system/vm.scm
+++ b/gnu/system/vm.scm
@@ -309,7 +309,8 @@ INPUTS is a list of inputs (as for packages)."
                                  #:closures graphs
                                  #:volume-id #$file-system-label
                                  #:volume-uuid #$(and=> file-system-uuid
-                                                        uuid-bytevector))))))
+                                                        uuid-bytevector))
+             (error (lstat "/xchg/guixsd.iso"))))))
    #:system system
 
    ;; Keep a local file system for /tmp so that we can populate it directly as



and then reconfigured the system after customizing the guix package to
use said commit and disabling tests on the guix package.  This
reported an lstat Scheme object as an error.  Note that the error
procedure does not cause a failed build.)

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 21 Dec 2018 21:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 21 16:42:19 2018
Received: from localhost ([127.0.0.1]:58865 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaSYk-00018a-S1
	for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 16:42:19 -0500
Received: from mout.gmx.net ([212.227.15.19]:60107)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gaSYi-00018O-Qn
 for 33639 <at> debbugs.gnu.org; Fri, 21 Dec 2018 16:42:17 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx003 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0MY86C-1gwPHj3rVo-00Uqom; Fri, 21 Dec 2018 22:42:08 +0100
Date: Fri, 21 Dec 2018 22:42:14 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87pntumwy8.fsf@HIDDEN>
In-Reply-To: <87pntumwy8.fsf@HIDDEN>
Message-Id: <25824683177226565276@HIDDEN>
X-Provags-ID: V03:K1:MUGqjR4iY6Rm2vog6JiZwEIro9vXasdqjG5drRkLFWv4Y79W2+V
 vdxjrhEWQwwkWAOC4acnwEGr/QkF9F3Phwl0n+WXfU084Mp+In3vcIKCtvBPgiKL5ZU8Lgc
 5eWUb9mqepgSlIrq+dsNhWW9lCLBibP69gAbVwolqkwfrunnERiLvgLVitmQf+fzbprsqZg
 LfjkxLtFOXFceK17Gax9Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:DYJt32GhhFI=:B5q1/CFdqK+n0gmi0zAT/d
 oUtbqP2IgYAHMY2znVPfz79ZlwAFBSKega9wEWX4GS0o/AqhGMhhiCt0/JaDe2ndqLApU9+AZ
 0lJ+a+w+bvS1LUDjYjQ0KdUQ9D12Y/vPRmiHXbHFtr5uq9yD7sdNu8sVMGapL90e4UmT8cPry
 v4KiXuff4q6xx9JrffUHbvmB0zaoXQrsIwXJLieSq0fMhXfTf3UfZWzdF5Og0c7IS7X0LLrpx
 +PJT0aTBQNknyBArLYHG2iVrji2fy0uxTMadmijf2qc+P0KkHahCMDMomdA+eQmpJiCMfSKax
 7JkrEHdgd8SqovCloD5ococQ4NftSKGfb2AD+jpVuXeBCuld6b39XugV1dqv/DFKxum6ihRMg
 DAItfE0/OYelUMYS/lVoP11CEZqLZrbtyrHHo3WcBiZ7HdswBwWvtlUfLFXWWp8A0pdukX8P+
 dbSl2pJHoUsaWjXkFtARRJOJkHDe/H3KHnVSQBu9yXiPIgFHYwCcojrSPp8xBvFyySSWRQwWp
 IMNh931COjSWe/udjk34P+4cbhnnl6ejN7egTeiY77ScD1MImJhvXmWLJtNaMaYT48220jB3J
 HlJe6XyYoqxp6Y254yTzDqvuNyRjU3b9NnoK8x9Wqnubd6FP882MI+SBLAiaJsm6IBRiPbMam
 PzC+zDGK8rE0J8SBAPNiiAwUIJBrjaFSuPepHb8zeIlsLZpby7Dx+kcYnD6AUkYgyIKJPmcxk
 IJFlvQ9jZFo+1xaJDoO3ktV5XFJOlYvhLOWoQAH8ftrRBNqSDtR1jFXOp89Zq7hbDcfd707fM
 PDtd4darz71J60iAh1zERqq+x/SUG2m+99AU6uRJjxggIc/WAXQorqBSmewUum2CuFZbLbyvW
 cDrAONCYWX5lRf5d+91lSM2vCf30+5RwnNBEnYmsyMvZcHKUmwZaiMxb3M4Lpe
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> ‘lstat’

Probably this.


> but that’s not quite a “shell”.

If i could reproduce the problem then i would want a long time visible
message about how large the ISO image file is after grub-mkrescue has
ended successfully.
This would give an opportunity to compare the size as produced in the VM
with the size later perceived on the host machine (which is a VM, too,
in my case).
If the sizes differ, then the VM contraption is to blame.
If the size is too small already in the VM that ran grub-mkrescue, then
xorriso or the VM operating system are to blame.

Since i am not yet able to reproduce the problem, i propose that you add
the necessary code to then end of make-iso9660-image in gnu/build/vm.scm.
Such a report message cannot harm, given the existing verbosity of the
ISO build command.

Next time you make an ISO, retrieve the last size messages of xorriso:
  ISO image produced: 500069 sectors
  Written to medium : 500069 sectors at LBA 0
the new message about the ISO image file size in bytes, and the size of
the ISO image file size when it is finally ready for exposure in the web.

(I have to stress that the problem is not fixed but only got a band aid
 of which it is not known whether its size will always be large enough.)


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 21 Dec 2018 20:44:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 21 15:44:41 2018
Received: from localhost ([127.0.0.1]:58843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gaRez-0008FH-Hl
	for submit <at> debbugs.gnu.org; Fri, 21 Dec 2018 15:44:41 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37211)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gaRex-0008F5-Ay
 for 33639 <at> debbugs.gnu.org; Fri, 21 Dec 2018 15:44:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gaRer-0004KO-Hu
 for 33639 <at> debbugs.gnu.org; Fri, 21 Dec 2018 15:44:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49774)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gaRer-0004KG-F2; Fri, 21 Dec 2018 15:44:33 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=51810 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gaRer-0002W2-6e; Fri, 21 Dec 2018 15:44:33 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <17182683634737195681@HIDDEN>
 <30813683585630400731@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 1 =?utf-8?Q?Niv=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 21 Dec 2018 21:44:31 +0100
In-Reply-To: <30813683585630400731@HIDDEN> (Thomas Schmitt's
 message of "Thu, 20 Dec 2018 14:38:42 +0100")
Message-ID: <87pntumwy8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

> aside from my problems with the building and testing after "guix pull"
> i also stand puzzled in front of the 8 files named "/gnu/.../build/vm.scm"
> which all start grub-mkrescue.
>
> If i'd succeed in reproducing the ISO image file truncation:
> Which vm.scm file would i have to modify in order to report the size of
> the freshly emerged ISO image in the filesystem of the upper VM ?

None of those under /gnu/store.  /gnu/store is explicitly read-only.
The actual source code you=E2=80=99d edit is a checkout of Guix.  See
<https://www.gnu.org/software/guix/manual/en/html_node/Building-from-Git.ht=
ml>.

> And how to say "ls -l $target" in Guile ?

In Scheme?  You could use =E2=80=98scandir=E2=80=99:

--8<---------------cut here---------------start------------->8---
scheme@(guile-user)> ,use (ice-9 ftw)
scheme@(guile-user)> (scandir "/")
$2 =3D ("." ".." "bin" "boot" "data" "dev" "etc" "gnu" "home" "lost+found" =
"mnt" "proc" "root" "run" "sys" "tmp" "var")
--8<---------------cut here---------------end--------------->8---

and also =E2=80=98lstat=E2=80=99, etc., but that=E2=80=99s not quite a =E2=
=80=9Cshell=E2=80=9D.

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 20 Dec 2018 13:38:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 20 08:38:47 2018
Received: from localhost ([127.0.0.1]:55599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gZyXG-0001js-UE
	for submit <at> debbugs.gnu.org; Thu, 20 Dec 2018 08:38:47 -0500
Received: from mout.gmx.net ([212.227.15.15]:55981)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gZyXE-0001jb-QF
 for 33639 <at> debbugs.gnu.org; Thu, 20 Dec 2018 08:38:45 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx001 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0MQzUc-1gyouu3dew-00UHdX; Thu, 20 Dec 2018 14:38:38 +0100
Date: Thu, 20 Dec 2018 14:38:42 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <17182683634737195681@HIDDEN>
In-Reply-To: <17182683634737195681@HIDDEN>
Message-Id: <30813683585630400731@HIDDEN>
X-Provags-ID: V03:K1:aryO39vOrB7T4XbNTUvX4tbe7x+WMtwYVABDkujmPJ3XpYsft66
 eSkk+hzyt0dbaCHk/c0QlETBn/5JAeuewslGaVwp3lR/Fl7DxRbd7bAHweIkTuHwYWGkw5z
 ANakzxmHJpkS0CDu5NVAw90fjPRHoaRox0rl3U3guAXMP0GCBPh/rm+7eb2+7P0ZlIX+7TQ
 P+SQPFyP9as27eQiruMVg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9WVgUJecHwY=:LW1YeWrqV2yHl2t6p02/iy
 YitdXpGMTCgiw32hEbQynWB1Kk+AaDqL8FfFGw81PEbSucbIM9TTOa860I0JKEJXNuDBy+pev
 5Q/u4NESNpL/mFlgEALQef/I0WKtN/pu9PuJWVOPMNJt3TOvPlIkZbgo41RiKdcjQHfhGofZh
 8RQnMWZoK3RDKluXj0Te3up8ry2JepizD7j+KYO49YXI6Kwbx1VNUZVVmWhe4Ia3rQGb4IEDs
 a8xO9fWNNr1LtkzNvAjKfbbE3KbbyQM8Lt0ShAcG/+qt2nDijNP+i3AM9+IXaU4P6OXjMiwE4
 e6QzcDyBqWQNEIqVZcdeArqcntWVVYk1z8nXh8adxvS2jblaahJW8NE6hr736fshuArZEobxK
 Onrs8fXjpKdFQGUfpTYdkfJyIq1uocC79rBrM+v259U2cR4EHsG/GisoLse+6hQERr29rIqWi
 D+h9d3EnazsBb2seFruVAtGYtU5OWwfeu+AU9Tac5dOQcwel9wSYqBm+Hq6UDzYCHGJGzld+6
 oGmdWzDbnNr0kDu/N0yleeeh7qjzYCcDIR4+5jZsFGHoFglBI/wheFCCNG6t3QKR0b3JVB8sz
 owQrkecExoeGwGFXKTtOEQ8c2dmEw7iWb7CLHnZYiYlJolQbMOfKQQe1SExXe6ARlkaGL7jxG
 Ab59IeI+DDJEowKiAq/xRxgrI7b79OlPI1M4Mlyl31rUrWQQUxBQuQ8X3Pwq3LtsU4H4X2ZbQ
 L+Gb37k+eLH1/a1AnmO4QE0AneEVwbhc7A9yV9c9tnVi31Bgz6ZTGFhNlQK5buSmWZ9fBr1EW
 S6dkbt4Tozm6qJ/+GqQEBLvy3S2lGluh2voUiZ6BWnIaUTJhLB5IPXBZDjDl6sZfOVC/p3jIa
 TKt95aJykFmzGiU693v0dR9bJww5NuC3t/oA/rKLIWQnqdc7uf6NGAmjYzCk8T
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

aside from my problems with the building and testing after "guix pull"
i also stand puzzled in front of the 8 files named "/gnu/.../build/vm.scm"
which all start grub-mkrescue.

If i'd succeed in reproducing the ISO image file truncation:
Which vm.scm file would i have to modify in order to report the size of
the freshly emerged ISO image in the filesystem of the upper VM ?
(I would suspect that this size is still untruncated and that the file
 in the underlying VM's filesystem is then truncated.)

And how to say "ls -l $target" in Guile ?


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 19 Dec 2018 14:52:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 19 09:52:07 2018
Received: from localhost ([127.0.0.1]:54124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gZdCg-0000GA-PH
	for submit <at> debbugs.gnu.org; Wed, 19 Dec 2018 09:52:07 -0500
Received: from mout.gmx.net ([212.227.17.22]:54627)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gZdCd-0000Ff-CA
 for 33639 <at> debbugs.gnu.org; Wed, 19 Dec 2018 09:52:04 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx101 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0MC8iq-1giSuC36Cu-008sl7; Wed, 19 Dec 2018 15:51:56 +0100
Date: Wed, 19 Dec 2018 15:51:57 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87tvj9wr1v.fsf@HIDDEN>
In-Reply-To: <87tvj9wr1v.fsf@HIDDEN>
Message-Id: <17182683634737195681@HIDDEN>
X-Provags-ID: V03:K1:zF4D2H/L9idmL3B5AC0qtq22LvgG5Vl12noMoqr9NdDE6ckOrXY
 6+ks4fzFG1ndQW+k93GeJN8DwmhyE3vfdTbTcgdYpRPLyDKD9XHyLCrEf4FrqoNX9rLFktI
 b+1b7a1DmHp2UXkmvHH8u+JtPhyHGAZhLJm3vueeIye/fVVaUi7GEACwPuFTxYY2PxAmJio
 eem9AyZjKFSU9tbfvHOrw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:+oywOxt6+ok=:inhYHx8VafNIYmwAAYXQPD
 rVzzK5eHibBcfOmiZh1u0tOVS9/+DlbN+qwnj2fL7+GNLxfPvHqhVMat62q3yI+BfWWI38AQX
 wEgsrEq/nMSeS6y9i9Gjm+txwQw9SHJqYYqFSTdKd1FDzGBGqHsUBDxEF6HcSOpfdRdO3aVFM
 s5bbn5p5pNXS/kafhqGSueLdskhM1lin1j/Rrp49Z/A2nOFJ6J4yAmEXZko3xOC94cNY+mNJ5
 5nz9ms4HtMEj1aDfHCMpGxMZqRyc40gSv9mWgzXMNkNZo63Vfo0SXaAVTJIXzfBEctYDSppYX
 0TKO46Kiv7nVJddgiejnLWyPFR4K+vpVPcoEBthKmi78vCq6PxsEDkFd5fR1Vx7SI2+hDZkuL
 y0JwG+E5IOw4Z8o9I5Ry7ybG3b8TLLA34PEGGBy49PxhzNuGDmWn+gl0m/XHUssM5zu1vlmv9
 zyJJenovKAQtTjKDt6nchEWvJTbDrn+EpVjXUg2FyVPdGGlhYRdUq6Kiqo1WO7r0MxHwzfy7f
 iQBuBdVD8DNDPnPtQwNjx/ysPpvaRa5f2SW3Hy2F0JIllpBE3vgk6bLBC4TkbP52dYwSGDz+L
 ydqeHzVUJQE0VquKEZCK34P2ll4gVYe8iAcoUxQU+KF3iiSofIBDb66SH5KOmEBO/LaWnIhCH
 FUufJS0BEUaz6YP4Vl3idGUk5V3xEX4/kWa5smPDMhTxlpEKpt9HyXOpy6SMbW6QC7vg96szl
 azDJYoPRQIrKECIul1e6VAFaDIJMV7vI4eCgYt/RDP8AVY8TJyvtMnBpRtISlAwwqa0OoZI6M
 ITjD0HAlH56AgenI1WkvSKw8ubZsIFmjmpRe/5pIS8Vqtpo4GvgbTyDjbnkA+zIVvOoBNLXm6
 p1UDGrlRjlTGcqOVb5hUeMcKr4D1vJbLMM7NORk2O02Q0E4Y1quP/2nn42XQP9
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> It’s not reproducible because I “fixed” it:
>  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=178be030c0e4fdeac5e1c968b5c99d84bb4691db
(This adds "-padding 10m" to the run of xorriso.)

No. The padding only moves the missing end piece into a region of the
image file where it does not matter for the filesystem payload files.
The ISO filesystem's meta data and the partition tables would still claim
the missing bytes of the image file, if the problem occured.

E.g. xorriso notices the mismatch in the ISO to which you pointed
me for download and which was most probably produced with -padding 10m:

  $ xorriso -indev guixsd-install-0.16.0.i686-linux.iso
  ...
  libisoburn: WARNING : ISO image size 481129s larger than readable size 479184s
  ...
  libburn : SORRY : Read start address 481128s larger than number of readable blocks 479184
  ...

The GPT in the ISO says that its backup header is at 512-byte block
1,924,515 = block 481,128.75 in units of 2048 bytes.

Highest file block is 475879 + 87 = 475966
   File data lba:  0 ,   475879 ,       88 ,   180224 , '/var/guix/db/db.sqlite'
which is a bit more than than 10 MiB before the expected image file end.
Given the lack of 1945 blocks at the image file end, the payload file end
is still more than 6 MB away from the escarpment.

-----------------------------------------------------------------------

But the ISO which i produced myself is healthy in that aspect.
The used software version is obviously before the 10 MiB padding.

The ISO contains as many bytes

  -r--r--r-- 2 root root 1024141312 Jan  1  1970 before_guix_pull.iso

as the ISO filesystem believes to cover, including the padding:

  Media summary: 1 session, 500069 data blocks,  977m data, 2187m free

Highest data file block is 499788 + 87 = 499875 :

  File data lba:  0 ,   499788 ,       88 ,   180224 , '/var/guix/db/db.sqlite'

which means that at most 194 blocks are expected to follow the end of
this file, not 10 MiB.
The GPT in the image says that its backup header block is at 512-byte
address 2,000,275 which is 500,068.75 in blocks of 2048 bytes.

So the inner size counters and image file size do match exactly.

This was done with guix from
  guix-binary-0.16.0.i686-linux.tar.xz
and with authorized ci.guix.info.pub.


>   guix pull --commit=676c3adc14f63df0f7a549e518ac87481c0f3e37

After "guix pull" the ISO production command indulges in building and
testing endlessly.
You will have to give me instructions how to get back to the ~ 12 minutes
of ISO production time which i had before trying "guix pull".


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 19 Dec 2018 14:05:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 19 09:05:18 2018
Received: from localhost ([127.0.0.1]:54088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gZcTN-0007ZZ-N9
	for submit <at> debbugs.gnu.org; Wed, 19 Dec 2018 09:05:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gZcTL-0007ZJ-6a
 for 33639 <at> debbugs.gnu.org; Wed, 19 Dec 2018 09:05:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gZcTA-0000xv-4r
 for 33639 <at> debbugs.gnu.org; Wed, 19 Dec 2018 09:05:10 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37711)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gZcT8-0000wv-PI; Wed, 19 Dec 2018 09:05:03 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=39606 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gZcT8-0001ON-Fh; Wed, 19 Dec 2018 09:05:02 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <877eg7hypx.fsf@HIDDEN>
 <10322683426128283104@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 29 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 19 Dec 2018 15:05:00 +0100
In-Reply-To: <10322683426128283104@HIDDEN> (Thomas Schmitt's
 message of "Tue, 18 Dec 2018 22:45:16 +0100")
Message-ID: <87tvj9wr1v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

>> Oops, that was an omission that I=E2=80=99ve just fixed.
>
> Sometimes you need a clueless test user to clean the pipes.=20
>
> I now succeeded in running the ISO production command, but the truncation
> problem is not reproducible here.

It=E2=80=99s not reproducible because I =E2=80=9Cfixed=E2=80=9D it:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3D178be030c0e4fdeac=
5e1c968b5c99d84bb4691db

You should be able to reproduce it by running Guix from the parent
commit:

  guix pull --commit=3D676c3adc14f63df0f7a549e518ac87481c0f3e37

=E2=80=98guix pull=E2=80=99 populates ~/.config/guix/current/bin/guix so yo=
u=E2=80=99ll have to
make sure this is the one you=E2=80=99re running when you try to reproduce =
the
issue.

Thanks for your help and perseverance!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 18 Dec 2018 21:45:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 18 16:45:27 2018
Received: from localhost ([127.0.0.1]:53800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gZNB9-0004Ms-EX
	for submit <at> debbugs.gnu.org; Tue, 18 Dec 2018 16:45:27 -0500
Received: from mout.gmx.net ([212.227.15.18]:40211)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gZNB5-0004MX-BZ
 for 33639 <at> debbugs.gnu.org; Tue, 18 Dec 2018 16:45:24 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx002 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0Lg0sd-1hB9lO17Vb-00pgvK; Tue, 18 Dec 2018 22:45:17 +0100
Date: Tue, 18 Dec 2018 22:45:16 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <877eg7hypx.fsf@HIDDEN>
In-Reply-To: <877eg7hypx.fsf@HIDDEN>
Message-Id: <10322683426128283104@HIDDEN>
X-Provags-ID: V03:K1:4BcNCVWuingMW0+IJvFlvUdc/UKIyMccXeqZn0jeKcupDp2tvs2
 UWvtsnuAR3KSWVW2nFeSUO4T/3dfBBL+VtKjkZAhuxYNij9ZEHZhwlZWjDtO5a9pWoKZmg8
 rfkRgJZ5YaPjzgH8zI6sXKwtUDWeJzf4CJZ1Gz++407DkU74hlrALgggyeao3qOAKzWFvPV
 V6TkpmGizzKfvl3egorow==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:A1zIgPglzc8=:ZKJlzu703Fst1YeMr+FHDh
 eQC9pQtc8IgdRsV54P/1JwkXJlug8dGMyjurrba/xnsPFOZaRy+ZSBInwM9/edaEIuYYXzcM1
 nyl2gL5DNx2baMvAUoMnXAtd4XNu8YDUPylW6Ps80sB/KFonvC+Cok0FpzIUeUnLytZ6RXJIH
 VtPy+pzmylpYSJTWsV6k3d6r0j9HURAq4zOAsJ3Po+IBmmQMlhBcCyZoheerSrO015AGHD7SL
 KSyXEKaJKu7UMBE1I2EJTcZuonJH1EytXTGGEZWwYo6XYvM1bx3nEjoUc0y6XkMM7n1nh9I7n
 /8W4RqVlNLFXW/qER60rbqoBWVyIVdw/ge8D3KKneAFtF/3z9cCaSE+KZf78n9m9vMwgq1BFc
 yLksfXohSU11GGilaocQeR2vQmp4MYIYwwSlRxY0uK8aTvqcECjItbl+dSDC0dAMcaCKX3oz1
 xENUyW8yj+hzFbsgTR9kHaikr3HUE4bcPvEoiWU4sWMstzvsgpI4Rgorr9/vsND82T4AdguPy
 RunRQwBZS04tWFiQZWAe2n9V9JKnfp6cdRoQdQHgvtuphBeRwL69mC4EyI2dpNdXg0qgyx9G1
 6lfyTyAXwVEtZF2VWPFg+uG2n/1qgn9YnbOxzchLtDCvi2naQCimgW0nZnc1uRpbV2dMwZKOx
 wSWPtUU631WRvNXnp7gwV7PlOE9sRXZbzlrjr/w7btCAhwYyJqqryFjXXI4SvCP4JtVr58Ffa
 M0/B7JTL9J1UJctMrFZKYlqbKw1xJJ5L1/SGDsbgucas1ps2XojhyVo3QLO0W/a2izMCnHOVn
 1YGx/Y1FS6GM+1t02l3B35zmlltkdA6S1eIzCm5upukaJIi7MaYIjj32lsmEKoYPX2UsDEVuI
 WC0cgV/N9R8P6OOKJH3lw2JRBOvg91HCyDfzTCUJJVhWVdPzadpjNBXaW2Lhi5
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> Oops, that was an omission that I’ve just fixed.

Sometimes you need a clueless test user to clean the pipes. 

I now succeeded in running the ISO production command, but the truncation
problem is not reproducible here.

Please re-consider local reasons ... yada yada ... my main suspect would
be the immediate end of VM after the xorriso run. Maybe some buffers don't
get flushed down to the real disk ?

------------------------------------------------------------------------
What i did in detail:

I removed /gnu and /var/guix to get to a halfways clean state for
repeating steps 2 and 7 of
  https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installation.html
I.e. i unpacked the tarball, moved the trees to /gnu and /var/guix,
and authorized ci.guix.info.pub.

Then i did step 8
  guix package -i glibc-locales
This lasted 12 minutes (mainly with building 7 packages).

Now the proposed command to "confirm that Guix is working":
  guix package -i hello
lasted only about 30 seconds.

Scrolling back in my mailbox to
  Date: Thu, 06 Dec 2018 16:34:02 +0100
  Message-ID: <87va46is9h.fsf@HIDDEN>

> Then you would need to run “guix pull” to get a current Guix (0.15.0
> itself didn’t have this bug.)

Do i still need this ? My tarball was already "0.16.0":
  guix-binary-0.16.0.i686-linux.tar.xz

I bet on omitting this step and go on with:

>   guix system disk-image --file-system-type=iso9660 \
>    -s i686-linux \
>    ~/.config/guix/current/share/guile/site/2.2/gnu/system/install.scm

After 5 minutes i see boot messages of a Linux kernel.
Oh. Qemu running on qemu. (The local power plant shifts one gear up.)

12 minutes elapsed and xorriso has started. Sloowly adding files:

  registering 302 items
  GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.
  ...
  45981 files added in 94 seconds
  ...
  xorriso : UPDATE : Thank you for being patient. Working since 265 seconds.
  ISO image produced: 500069 sectors
  Written to medium : 500069 sectors at LBA 0
  Writing to 'stdio:/xchg/guixsd.iso' completed successfully.

So far the xorriso run looks ok.
  ...
  /gnu/store/a8wwjfihb161maww0c8x4r797prdn8rr-image.iso

So this is where the ISO ended up.

  # ls -l /gnu/store/a8wwjfihb161maww0c8x4r797prdn8rr-image.iso
  -r--r--r-- 2 root root 1024141312 Jan  1  1970 /gnu/store/a8wwjfihb161maww0c8x4r797prdn8rr-image.iso

  # expr 1024141312 / 2048
  500069

  # xorriso -indev /gnu/store/a8wwjfihb161maww0c8x4r797prdn8rr-image.iso
  ... no complaints about size mismatch ...
  Media summary: 1 session, 500069 data blocks,  977m data, 3052m free

Well, then with
  guix pull
and then again
  guix system disk-image ...
lasts 30 minutes,

  # time guix system disk-image --file-system-type=iso9660 \
    -s i686-linux \
    ~/.config/guix/current/share/guile/site/2.2/gnu/system/install.scm
  ...
    GUILEC   gnu/packages/emacs.go
  GC Warning: Failed to expand heap by 8388608 bytes
  ...
  GC Warning: Out of Memory! Heap size: 943 MiB. Returning NULL!
  ...
  guix system: error: build failed: build of `/gnu/store/vr5mhnh430qabrrc1a82pv954b89axws-guix-0.16.0-4.60b0402.drv' failed
  
  real    21m55.875s
  user    0m5.816s
  sys     0m1.384s
  #

Looks like my VM needs more memory for that stunt.
So again with 2 GiB.

... it seems that "guix pull" brought back the addiction to world building.
I abort after 50 minutes while it is doing some qemu tests.

------------------------------------------------------------------------

Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 18 Dec 2018 11:16:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 18 06:16:27 2018
Received: from localhost ([127.0.0.1]:52661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gZDMN-0003sL-M8
	for submit <at> debbugs.gnu.org; Tue, 18 Dec 2018 06:16:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gZDMI-0003s5-Dv
 for 33639 <at> debbugs.gnu.org; Tue, 18 Dec 2018 06:16:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gZDMC-00019l-Hg
 for 33639 <at> debbugs.gnu.org; Tue, 18 Dec 2018 06:16:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32855)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gZDMC-00019h-E1; Tue, 18 Dec 2018 06:16:12 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=56310 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gZDMC-0007eO-43; Tue, 18 Dec 2018 06:16:12 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <87ftuxtqn9.fsf@HIDDEN>
 <2198768286307958861@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 28 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 18 Dec 2018 12:16:10 +0100
In-Reply-To: <2198768286307958861@HIDDEN> (Thomas Schmitt's
 message of "Sun, 16 Dec 2018 17:52:43 +0100")
Message-ID: <877eg7hypx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Thomas,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

> Ludovic Court=C3=A8s wrote:
>> If you=E2=80=99re testing in a VM you might just as well download the Gu=
ixSD VM
>> image from <https://www.gnu.org/software/guix/download/>.
>
> There i only see only "x86_64" for QEMU, not "i686" like with ISO or Bina=
ry.

You=E2=80=99re right, my bad.

>> Did you actually run =E2=80=9Cguix archive --authorize < =E2=80=A6/ci.gu=
ix.info.pub=E2=80=9D?
>
> I did step 7 of Binary-Installation.html:
>
>    guix archive --authorize < \
>      ~root/.config/guix/current/share/guix/hydra.gnu.org.pub
>
> The text "ci.guix.info.pub" does not appear in
>   https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installati=
on.html

Oops, that was an omission that I=E2=80=99ve just fixed.

So yes, please authorize =E2=80=9Cci.guix.info.pub=E2=80=9D since https://c=
i.guix.info
is now the default substitute server.

HTH!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 16 Dec 2018 16:53:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 16 11:53:08 2018
Received: from localhost ([127.0.0.1]:50534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYZf5-00087n-LV
	for submit <at> debbugs.gnu.org; Sun, 16 Dec 2018 11:53:07 -0500
Received: from mout.gmx.net ([212.227.17.20]:36825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gYZez-00087F-Os
 for 33639 <at> debbugs.gnu.org; Sun, 16 Dec 2018 11:53:02 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx103 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0LlleO-1h7dMQ2FcW-00ZM1E; Sun, 16 Dec 2018 17:52:50 +0100
Date: Sun, 16 Dec 2018 17:52:43 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87ftuxtqn9.fsf@HIDDEN>
In-Reply-To: <87ftuxtqn9.fsf@HIDDEN>
Message-Id: <2198768286307958861@HIDDEN>
X-Provags-ID: V03:K1:OOapmxI71o5614MeJlT95CQ9Erqmw3yzsq2pmVw7CD9rSV+7ssU
 eAj4Lm/T2RjL9XnG6d3q1TAFCUUrGtI0fr6wUIfCnGmsGiFLOBLZ14fLZHL3XpxJpvh5h/c
 naNJAWPM6o2BkiMj503L4UKcIT+U6kJObYutvzFp96FDxkFnPhloM3Y59wYxuXprGjsKt6R
 baaDvmpqbxceqeKLjKEQA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:tV64xkPF+XA=:zdzEUm2E3DwIQZJJuvJHrR
 xSSuUfBIa40s1U3F36sTt9sRUMR8JHMxdlNt3qzDzSvMgP6G0aw+1Z6noS7ldnStHepYI7r0A
 1OUh7NEbKkUDWykFpOFAEaqQPm0sRn/cZ2uYfex/k7xSTjkRs6JsLODHMcaoax1aEUM3qufYk
 qpHZVoTm6WSTH5+VccqmCIQVSpY37vodczm+VLDh/DgTVwGl0Le2ZkMVrWtxX3+PAoLxGLeFR
 xz15FDwL+wuypcL9cTPeoMx0iZVciDbdzQn1fcUknmXitx6Fy+0ShM2uU8n+CLnDi2BMedWzS
 9dQ8BP4c3uk/X14cdzwgdv1rSSzvOL4+A1BBNJ5/sGHahRDaKLBCc4nw774kh/H65foGEcafY
 YyJt0D0nrjoLB4ZiZbebMI4Lcf492xR6lNU3870X8OLc/y+UkbCAkruC9rNRIMF+G6IbZkAMc
 yeR0wmR/8x+iWSQhYFB95ucQvIWj2t8VdKcyUtrnIwgT9CJVMMBRqkCsUDoPkDtI9FNRaj0ca
 goS2OtHPA2pKyS4Qgp2Izymh6mllBNIyZf6iBzkGhHHEap4hT8xN8UXUlM7y/TlQ10DdQqcJx
 UTiDpeG0ZYZ5UAm5iWmIPrGkkKetL+rZTOQx7BfYWEH9rhzcpUWhqhVQGRt3arsH407koqYnk
 nk8rLCNh/m20wepsi1T9pvEnOXHFttiFi9zgBV3ZYsRMgL5dw/Eb/e/vsumLOC79BEzVdBLMj
 L7VsUgx1U/qi3GgbBRCYuUCBLoGP9rWgewC1rw18KcMu/sxKc5tBGBoEC49Wh/7AHnOswXTMr
 ShiznZicpsvpk6gYgrMHlAbylMr423yDZheKRnq/d25F4RNgoT5yoJlGSzeVx5AtlO93EhNRE
 0T0/sRWV0RcmfcO7rvc5IZkMv0ho2NMjFQElrx/Uh3pjrzUcYJUv8PQi3fq8bB
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Ludovic Courtès wrote:
> If you’re testing in a VM you might just as well download the GuixSD VM
> image from <https://www.gnu.org/software/guix/download/>.

There i only see only "x86_64" for QEMU, not "i686" like with ISO or Binary.


> Did you actually run “guix archive --authorize < …/ci.guix.info.pub”?

I did step 7 of Binary-Installation.html:

   guix archive --authorize < \
     ~root/.config/guix/current/share/guix/hydra.gnu.org.pub

The text "ci.guix.info.pub" does not appear in
  https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installation.html

Looking at the existing state:

  # ls -l ~root/.config/guix/current/share/guix/
  total 12
  -r--r--r-- 1 root root  118 Jan  1  1970 berlin.guixsd.org.pub
  -r--r--r-- 1 root root  118 Jan  1  1970 ci.guix.info.pub
  -r--r--r-- 1 root root 1083 Jan  1  1970 hydra.gnu.org.pub

Shall i authorize the others too ?
If so: Is there need for clean-up actions after the aborted build runs ?


(If you find a bit of time, please run grub-mkrescue with some arbitrary
 input tree of about the size of the Guix ISO and check whether it gets
 truncated. If so, the messages from xorriso would be very interesting.)


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 16 Dec 2018 15:53:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 16 10:53:08 2018
Received: from localhost ([127.0.0.1]:50513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYYj6-0006fn-IZ
	for submit <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:53:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gYYj4-0006fI-35
 for 33639 <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:53:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gYYix-0000sd-Vu
 for 33639 <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:53:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41773)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gYYix-0000s9-RX; Sun, 16 Dec 2018 10:52:59 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60822 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gYYix-0004dG-JG; Sun, 16 Dec 2018 10:52:59 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <87va46is9h.fsf@HIDDEN>
 <23902682647998386729@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 16 Dec 2018 16:52:58 +0100
In-Reply-To: <23902682647998386729@HIDDEN> (Thomas Schmitt's
 message of "Sat, 15 Dec 2018 19:40:02 +0100")
Message-ID: <87ftuxtqn9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Thomas,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

> I have now a qemu-system-i386 VM with Debian GNU/Linux from
> debian-9.6.0-i386-netinst.iso without desktop environment and reachable
> via SSH. Very minimal. (I only did "apt-get install build-essential" to
> feel not lonely without C compiler and friends.)

If you=E2=80=99re testing in a VM you might just as well download the GuixS=
D VM
image from <https://www.gnu.org/software/guix/download/>.  It should be
simpler than installing Debian and then installing Guix on top of
Debian.

> Then i followed the instructions of
>   https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installati=
on.html
> with
>   https://alpha.gnu.org/gnu/guix/guix-binary-0.16.0.i686-linux.tar.xz
>   https://alpha.gnu.org/gnu/guix/guix-binary-0.16.0.i686-linux.tar.xz.sig
> up to step 7 ("guix archive --authorize ...").
>
> Then i made the mistake to do the proposed
>
>   guix package -i hello
>
> It downloads and builds and blows away the free space on the virtual 8 GB
> disk ... /gnu is growing steadily and /tmp breathes between 50 MB and 2 G=
B.
> I abort this after 100 minutes before the virtual disk gets too full and
> my CPU melts.

Did you actually run =E2=80=9Cguix archive --authorize < =E2=80=A6/ci.guix.=
info.pub=E2=80=9D?

  https://www.gnu.org/software/guix/manual/en/html_node/Substitute-Server-A=
uthorization.html

If you didn=E2=80=99t, then you are not getting pre-built binaries and thus=
 you
end up building the world.

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 15 Dec 2018 19:24:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 14:24:38 2018
Received: from localhost ([127.0.0.1]:49657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYFYE-000807-FN
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:24:38 -0500
Received: from mout.gmx.net ([212.227.15.15]:52527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gYFYC-0007zt-Kp
 for 33639 <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:24:37 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx002 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0MOx4J-1gT0UU0Hih-006MuS; Sat, 15 Dec 2018 20:24:29 +0100
Date: Sat, 15 Dec 2018 20:24:19 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <23902682647998386729@HIDDEN>
In-Reply-To: <23902682647998386729@HIDDEN>
Message-Id: <16569682655711134021@HIDDEN>
X-Provags-ID: V03:K1:9rxo4FVgJ6mC+c67YrTYO3FRrIVtXCXiCZa4zuBvAkmayoWimnx
 +RZu5Ke2NIAqY3fj/egeZJd2iAcVDzOkgfMa4D+Ud9hFSbwvKOnuGOm9ucXSLyaRdzzP13/
 OXi3gnuK3VQ2AUoAR03YrwczZDaX0x8pLqgVoyGAl4ap+eqIn0m5HOfzv8ADOOPcCCyMRNC
 UUjJl3I8R9EziN1TJVcOQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:WHH9cWoS4Fk=:QSRN3lB/xtrwak2y7p0YQ8
 I46N7wvODsVrUQw8h+MuH46ib3a2WyG5jPjqv0IiGED6/XiyWKNz92J8fENWPCMbmg2RdRUDO
 b4fls3j0zoifi0MIo2aMbKto2rswEfFQ7oSPReNcQ52+36peQYF4CjD4Pdr5QhLowFSamDXX7
 qo4vgyyKjgBjyQ8BNhxQ4tq8C6aUFxnQwU2Qmly+tvj4JFvYkg3q/7R4PVkCx2qtDnD3T05Xb
 sHZZeTb+1mqI0Ko9m5kLxWghMHVjTfZ5LdG3e0JWW3zg4EAjRwm0FXktaoAhkj+6XXyFIf4mc
 xGpjT9X8/ZfKTfTsaKlq5Qv434fq8qtQN0wLEAhyO6/G2nFRv76+N7pr/UMkxe6zIQMoEb8tI
 Hb9ZBJ5efIJUnTFnwtC8VQVKVzyTuaeBTBKm/HXRoICzrK1j2us+E29ds/fCNkQwJfqw4bkCS
 rVTasnCkBs5qutOPjfGchbWfS30TMz+rucDx099+NrgXax5HVL0/m5OC9fXogusjlUoGtM1Gv
 ZwfwKUJUm/SYwYwO/KJxGQ/dqnA8bPmdX7WdYFZfUDwHguPTLkJ9lVjIr6AHnbVL6wCzbRCia
 0jodQvzDiOAjVuUN4CwhC2jrjQ6L/1tucrPYDkfk+IvzG1qvZ/Hg9lPm0/tof1UzRV2lq65u5
 H4macLeg19MdtDz5rIPWq6SyE4X0LLR2Ohx+PhY96bFn7svhamOao8ujVinSC9mQG09LBC/KC
 yrJIZ9xs1igzvZRD3zPdceuz+9fWaEd2rHG7y/oCnnYfkF8gxtLxpI4bqwQzEIA6d5TXq81bB
 XP6BeJvSB9SLsLtTj3aTTA0OE+Ajnk1/BzVjtb3wHY8qMX4JD7ZHB6E62H7z44CAKzFuKb5s2
 3gGHRfGc/outsPclyUI6Uk361XXedLwNEDhi4rElMnJVz5XSc5tYtAEei+bxXg
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

it comes to me that i can get nearer to the Guix ISO production:

  # apt-get install grub-pc grub-efi-amd64-bin grub-efi-ia32-bin mtools
  ...
  # grub-mkrescue -o /tmp/test.iso /gnu
  xorriso 1.4.6 : RockRidge filesystem manipulator, libburnia project.
  ...
  ISO image produced: 652920 sectors
  Written to medium : 652920 sectors at LBA 0

  # ls -l /tmp/test.iso
  -rw-r--r-- 1 root root 1337180160 Dec 15 20:09 /tmp/test.iso

  # expr 1337180160 / 2048
  652920

  # xorriso -indev /tmp/test.iso
  ... no complaints ...

And with GNU xorriso 1.5.0 :

  # rm /tmp/test.iso
  # grub-mkrescue --xorriso=/home/thomas/xorriso-1.5.0/xorriso/xorriso \
  >               -o /tmp/test.iso /gnu
  GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.
  ...
  ISO image produced: 652920 sectors
  Written to medium : 652920 sectors at LBA 0

  # ls -l /tmp/test.iso
  -rw-r--r-- 1 root root 1337180160 Dec 15 20:15 /tmp/test.iso

  # xorriso -indev /tmp/test.iso
  ... no complaints ...

All looks well.


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 15 Dec 2018 18:40:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 13:40:24 2018
Received: from localhost ([127.0.0.1]:49626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYErO-0006tN-Bg
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 13:40:22 -0500
Received: from mout.gmx.net ([212.227.17.22]:39275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gYErM-0006tA-Ly
 for 33639 <at> debbugs.gnu.org; Sat, 15 Dec 2018 13:40:21 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx102 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0LmeGF-1h7qae33R5-00aA3O; Sat, 15 Dec 2018 19:40:11 +0100
Date: Sat, 15 Dec 2018 19:40:02 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87va46is9h.fsf@HIDDEN>
In-Reply-To: <87va46is9h.fsf@HIDDEN>
Message-Id: <23902682647998386729@HIDDEN>
X-Provags-ID: V03:K1:ENyAzoUAXSi8d85wfMxVBH1AKaQBNyPjvnTkm8S8pptq5IZE65Y
 xOX+l5vOFT/MeyPGK+0RxHCpHu3L8OZllgyx3CAUClV8plE0NaMCoFTNJYdJJ6Ewf9rQ0cj
 2IhI0/Z6gYLbHEzF4Qb3VGPPvul2kSLRj3vATXrjF3yBbVOYZVG4n/qW9zNR74eGBQaVVeQ
 eTeAILB9ZNdj2VfEc7WoA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:YXsF1vIfUZE=:ujXfF1syrejukwyi7Lh4YY
 l2HsUaJDz/OncnEhk5czo8zVHSPFoDCrO9mWwf+rlq5agMbITt8dMkCQ5FtAgpZF739ReOwnO
 +hWiTpmJ6qPS2XABH7341sIIFLgUmkpEWdnprGON9/dpx9vWKQCjEALM0kRTV4KOajxm7A0A4
 Uo/9wbgFJQcRFwlAnalE32lr4CwM055G9Gc09CUEaOlGY0yK6tjV05G+2H9MpBwmXY2gOu9tM
 qzXr4XMdiTWVFgRCtONmZ7/8Vomm3ClUBaLTeRL54xYuvoAQIsGUCJvC/HRwktDr2IsuBw2Yg
 iS7cIGa5BY8tC1zmJNz3Wcis9EYLBaTOqGH8wUVuHhDL45gZK+tgDhDaxhkZ1yoIVJJBZ156A
 eG39GPbytWHMbzWedB/aO69MS7t+X8Ln8Zbi3Jyc/oynrLuYq9NDrvSHGjaxnx0iDJ6eBa2VT
 CIF87ru+QMWvotqz8ZxAk0FGewbnkZXly1xK89vzaeI1f4X5lFBVzj/6uRh3wE5KcogSeqfFm
 KjGZjAUyApFLDBawNe+prQ23cGkm78r5XdsjC1d3fidZ8YwiqeOROYmaCS94IVrhDTlQ6W7y5
 KUWBl7dBBbQrHp5bGUUi1EviQVRZ3/WbNdWPUkRYaGF7M3mx0gzuKr+n0rqmuvjPmp3sCfGkW
 iwybawTxCuAZmz5iVD3IAHIgEq9pUO/DTU6VTCeXJonZPK9OYqzW37SHhRpKZykPsP85vPTAn
 xe6vJALwsaZQ4xS0l5XL4ePXUJOXVY1ZjPPf8g48R6Q3bFgocNJpPa3WmPgO6QR9v8syAXazH
 bgnOJ9sGa5j5MIbsOwbz3hbAHUM5AVyIJyhO4BcFvcZp4gBz3jB67rah2paLfssqvca3m5pBN
 9U8gmk1jDHoCqos8tUDOcPyaXOuDOiYGL41gIbvCjaN3tOsNk/1bGSDYCAh4iY
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

just to report that i did not forget this problem:

I have now a qemu-system-i386 VM with Debian GNU/Linux from
debian-9.6.0-i386-netinst.iso without desktop environment and reachable
via SSH. Very minimal. (I only did "apt-get install build-essential" to
feel not lonely without C compiler and friends.)

Then i followed the instructions of
  https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installation.html
with
  https://alpha.gnu.org/gnu/guix/guix-binary-0.16.0.i686-linux.tar.xz
  https://alpha.gnu.org/gnu/guix/guix-binary-0.16.0.i686-linux.tar.xz.sig
up to step 7 ("guix archive --authorize ...").

Then i made the mistake to do the proposed

  guix package -i hello

It downloads and builds and blows away the free space on the virtual 8 GB
disk ... /gnu is growing steadily and /tmp breathes between 50 MB and 2 GB.
I abort this after 100 minutes before the virtual disk gets too full and
my CPU melts.

"guix pull" happily begins to build that gcc-5.5.0 which is too much for my
feeble VM.

Back to step 0 ("rm -r /gnu /var/guix") and again to step 7.
(A small fight starts between me and systemd, to get guix-daemon running.
 "start" did not help. It had to be "restart".)

Then

  # guix system disk-image --file-system-type=iso9660 \
  >   -s i686-linux \
  >   ~/.config/guix/current/share/guile/site/2.2/gnu/system/install.scm

and the activities to build the world start again. Extra verbose.
This time i abort after 30 minutes.

Everything i do ends up in enormous production of gcc-5.5.0 related
software.

-------------------------------------------------------------------------

So for xorriso and a 32-bit system:

  # apt-get install xorriso
  ...
  # xorriso -version
  xorriso 1.4.6 : RockRidge filesystem manipulator, libburnia project.
  ...

I try what happens if i pack up the /gnu tree:

  # xorriso -as mkisofs -o /tmp/test.iso -J /gnu
  ...
  ISO image produced: 643046 sectors
  Written to medium : 643046 sectors at LBA 0
  Writing to 'stdio:/tmp/test.iso' completed successfully.

Inspection shows that the size ideas of xorriso match the image file size:

  # xorriso -indev /tmp/test.iso
  ... no warning about size mismatch ...
  Media summary: 1 session, 643046 data blocks, 1256m data, 3234m free

  # ls -l /tmp/test.iso
  -rw-r--r-- 1 root root 1316958208 Dec 15 19:17 /tmp/test.iso

  # expr 1316958208 / 2048
  643046

Now with GNU xorriso 1.5.0:

  $ wget https://www.gnu.org/software/xorriso/xorriso-1.5.0.tar.gz
  ...
  $ tar xzf xorriso-1.5.0.tar.gz
  $ cd xorriso-1.5.0
  $ ./configure && make
  ...
  $ xorriso/xorriso -version
  GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.
  ...

  # rm /tmp/test.iso
  # xorriso/xorriso -as mkisofs -o /tmp/test.iso -J /gnu
  GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.
  ...
  ISO image produced: 643046 sectors
  Written to medium : 643046 sectors at LBA 0
  ...

Inspection yields the same result. No truncation.

-------------------------------------------------------------------------

If i shall try again with "guix system disk-image", then i need more
guidance. E.g. about the required disk size and ways to curb the build
effort.


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 8 Dec 2018 12:43:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 07:43:32 2018
Received: from localhost ([127.0.0.1]:37725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVbxE-0007K6-0d
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 07:43:32 -0500
Received: from mout.gmx.net ([212.227.15.19]:60215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gVbxB-0007Js-R6
 for 33639 <at> debbugs.gnu.org; Sat, 08 Dec 2018 07:43:30 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx002 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0M1Ee8-1hK8Ac2Y5Q-00tG95; Sat, 08 Dec 2018 13:43:22 +0100
Date: Sat, 08 Dec 2018 13:42:53 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87k1klar3e.fsf@HIDDEN>
In-Reply-To: <87k1klar3e.fsf@HIDDEN>
Message-Id: <14249682530673393275@HIDDEN>
X-Provags-ID: V03:K1:YQw0ijV0Ld+hZ/Wi97uRrZh2HHx8xJzfJmlvF/YkNbHeJN224NZ
 NMny3Aw52IEQPQLb/sQQ9XfgKPcQTtlPjJdWg2ZEkJhiS9WvacICUPgkzZV81RToJrkgM70
 IENg26Rqa8cNnJ41Q9/YzV2g3fnRzB+FfkGtcTshHATfifLvTSgHYyx4BZA4xKQS1dlO4nk
 ilYmijrt30E2/inNcg1JQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:SPxXnW5g7rQ=:CAnupbvz+kRQ5B1xTHe6Jl
 vbMuriXpfBG5ZWtNQZPMH+1JhUjWFpOqUN3+JJLW2qoy11BqKl3EoYJ8cQs2QUOm5g/TwETYe
 eiNmBbdBDtYNM2DAle77au4V4OROzlqFGRZ1gKKBPI1hiJySuZ7ZOTVTSkab8Qmv51KTK2LDD
 GasReJbBIw/Upa21PziNPt0kn5oMkaLriVJdPFCE6HHipWG9RHFd3uxvThZ8dcjrJIQJ2G4US
 RxqFB8U6wFnywi5ASL9eyay5G6GPUzk8Sf2wS9xdn/GqDckENEEQDXW5URfA30q1PtV2nH2QI
 YfwjdZ2/bZ9ctDI0aLy81LG8HgNhQx8oMQxzwQMe/zh4SZmrguKqpsm1AOSvbH34T9wffN8fk
 0MmgIGXJhf7j8Cbf6rIZBH57/45tlUaP7T4OXoLompcTPJYW3w5CXTFGDGnlO4UFkFM8a3PgW
 se7mQFCC+oyHIv5ic2WmSETCJnb6qyKXQahjyrncGGT//NyngqN4291tv7MwOC7wN2OpJx+I9
 4CqDqKOfl/t7sjvdmSogZ4dBOOJ+vV2bBONWcyVBR1Ajc/WWtmR/+eDzJ30Ob9oiVlmAf1zyE
 7F0qrx19HSN1B3nbpSt2CLTKaqkaZS1lPRp7delh8lEaCAgx6AJ4yjKgqGEC1h//OM2QH4nNE
 b02Sem/e7curPgto62GNbxAXaTeQgTWlDQ2fwZbofzd+PWrX8wdTXrajByFbLw6WmrfspRtvJ
 mxmE+8SkY4MYpBjJq/A1AhObWYHuRsUT8VcH7TwpEg0D9p18oh8PfDRVKFXssMU4xaAky9bIj
 LbMxsNUoESfvakQEmlNyXYvcBm7RYhJm/Lv4oyelnIfOC/XeylwRnIckVatc8tbY5VNCcbPkq
 DHPYFpA9yHKvmeAbOMy5y+O8BteyzolsCRghjgKMfWm+Wjbr2IKc7iwZ4EGqMV
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> https://alpha.gnu.org/gnu/guix/guixsd-install-0.16.0.i686-linux.iso.xz
> (I haven’t tried smaller padding.)

I downloaded it and get on "xorriso -indev":
  libisoburn: WARNING : ISO image size 481129s larger than readable size 479184s

So the lack of 2k blocks is 1945 = nearly 4 MiB.
This is suspiciously near to the default fifo size.

The content of cleartext files near the payload end looks plausible:
  /System/Library/CoreServices/.disk_label
  /System/Library/CoreServices/SystemVersion.plist
Whether the last file's content is as expected can only be told by
its reader program, i guess:
  /var/guix/db/db.sqlite

So for now it indeed looks like plain truncation and not like a hickup
somewhere in the middle of ISO writing.
  

Several distros use xorriso to build their 32 bit ISOs. No complaints.
So i asked on debian-cd and debian-live mailing lists whether the ISOs
for 32-bit systems are indeed made on 32-bit systems. The answer is
  "All our images have been made on amd64 for years now."

So i need a 32-bit GNU/Linux VM for regression tests.

Being an untalented sysadmin, this can last a while. (First searching
for old cheat sheets and then stepping into any possible puddle ...)


I would still appreciate a test with minmally sized fifo. Its outcome would
be a strong indication whether the Guix problem is related to the fifo
at all. The result can be checked by executing

  xorriso -indev ...path.to.iso...

and looking for message
  libisoburn: WARNING : ISO image size ...s larger than readable size ...s
If the difference is in the range of only 32s, then the fifo stays
main suspect.

Also, the xorriso messages of a run with grub-mkrescue add-on arguments

  -- -- -report_about all

would be very welcome.

--------------------------------------------------------------------------
(Be invited to stop reading here. Only code musings follow.)

I reviewed the fifo code in libisofs and found no obvious opportunity for
a bug that would drop the final fifo content rather than offering it to
libburn:
  https://dev.lovelyhq.com/libburnia/libisofs/raw/master/libisofs/buffer.c

(iso_ring_buffer_read() is exposed to libburn via libisofs/ecma119.c
 function bs_read() which serves as struct burn_source member (*read)()
 as defined in libburn/libburn.h.)

The condition for end of reading is a combination of
- no data are available in the ring buffer
- the writer has set the flag for having ended its work

        while (buf->size == 0) {
            ...
            if (buf->wend) {

The member buf->size is of type size_t. I.e. good for at least 4 GiB - 1
before it rolls over. Neither the fifo size nor the transaction size come
near to that number.
buf->wend is unsigned int :2 with defined values
  0 not finished, 1 finished ok, 2 finish with error


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 7 Dec 2018 22:51:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 07 17:51:12 2018
Received: from localhost ([127.0.0.1]:37403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVOxk-0002H9-8y
	for submit <at> debbugs.gnu.org; Fri, 07 Dec 2018 17:51:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gVOxj-0002Gy-HV
 for 33639 <at> debbugs.gnu.org; Fri, 07 Dec 2018 17:51:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gVOxc-0007LJ-8P
 for 33639 <at> debbugs.gnu.org; Fri, 07 Dec 2018 17:51:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35280)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gVOxc-0007L4-0D; Fri, 07 Dec 2018 17:51:04 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=34850 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gVOxb-0005aJ-7D; Fri, 07 Dec 2018 17:51:03 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <87k1kmipqk.fsf@HIDDEN>
 <12559682391379993357@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 17 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 07 Dec 2018 23:51:01 +0100
In-Reply-To: <12559682391379993357@HIDDEN> (Thomas Schmitt's
 message of "Thu, 06 Dec 2018 18:29:19 +0100")
Message-ID: <87k1klar3e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello!

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

>> Based on this and on a suggestion Ricardo made on IRC, I passed
>> =E2=80=9C-padding 10m=E2=80=9D and that solved the problem.  \o/
>
> Ouchers. Do all files bear their expected content ?
> Especially the last one: /var/guix/db/db.sqlite

It looks good, and there are no I/O errors left (I mounted it and run
=E2=80=9Ctar=E2=80=9D over it.)

Note that the image is now available here:

  https://alpha.gnu.org/gnu/guix/guixsd-install-0.16.0.i686-linux.iso.xz

(I haven=E2=80=99t tried smaller padding.)

> If so, then something truncates the output stream of libisofs via libburn.
> The only component that comes to my mind is the fifo between them.
> The default fifo size is 4 MiB. Quite suspicious.
>
> Try to reduce its size to the minimum by adding these grub-mkrescue
> arguments:
>
>   -- -- -fs 64k -padding 64k
>
> If the fifo is to blame, then a padding of 64k should suffice to protect
> the valuable blocks from a premature end.

OK, I=E2=80=99ll try to test this, but note that I=E2=80=99ll be largely un=
available for
a week.

>> the documentation of =E2=80=9C-padding=E2=80=9D suggests
>> that this kind of problem is not uncommon.
>
> It's normal purpose is to work around a traditional Linux kernel bug:
>
> CDs written with write type Track-At-Once bear two unreadable blocks at
> the end. Most CD drives report these blocks as part of the data range.
> When Linux shall read a single block for isofs, it reads a larger chunk.
> The chunk is not large enough to reach over the nominal end of the data
> range, but it can reach the unreadable end blocks by mistake.
> In this case Linux does not only miss the end blocks but also valid
> payload blocks which are part of the filesystem. This yields I/O error.
>
> The developer of cdrecord and the kernel people mistake this problem
> for a "fuzziness" of a CD end by at most 2 seconds of audio play time.
> This is wrong from reading the specs and from making experiments.
> However, cdrecord introduced the tradition to add 150 blocks of padding
> which would 2 seconds of sound.
> As long as the read chunk of Linux is smaller than that, the padding
> protects the operating system from touching the lead-out blocks of the
> TAO track.
>
> This cannot happen on hard disk or any optical media type other than CD.
> If you write the CD by Session-At-Once it cannot happen. If you have one
> of the rare CD drives which do not count the lead-out blocks to the
> readable size of the CD, it cannot happen. (Currently 1 of my 7 drives
> tells the truth.)
>
> But who am i to stand against all others ?
> So xorriso, too, adds 300 KiB of padding by default.

I see, thanks for explaining!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 17:30:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 12:30:04 2018
Received: from localhost ([127.0.0.1]:35975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUxTQ-0001h8-FC
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 12:30:04 -0500
Received: from mout.gmx.net ([212.227.15.15]:53745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gUxTN-0001g7-Qr
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 12:30:02 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx002 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0M5cMq-1hNzth3xbE-00xdzR; Thu, 06 Dec 2018 18:29:54 +0100
Date: Thu, 06 Dec 2018 18:29:19 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87k1kmipqk.fsf@HIDDEN>
In-Reply-To: <87k1kmipqk.fsf@HIDDEN>
Message-Id: <12559682391379993357@HIDDEN>
X-Provags-ID: V03:K1:81zAYHfDe1seI8XoQx3+DvWYfoKDYy1ouIHBW2HMHUI3aPGKGUu
 RReUXMZ60R6r3swqrnjCtw1L6fsmfqzKhSkuDPNb37uqFYaa/iIxCkf0KcvOU8yfnqJxUJe
 5e/5YrHuVSNFGCeuSJdvFm9WMtwpVXe1HTK4SWdCaQQ9eTPeKR/dujhI92mnaGawHcZzJnt
 Y5F8tncG4yCj1KGoT+/xw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:vK5lvJEGJbs=:ZGouydoEQTTCjoW6sY5n6p
 swFSg/868EmbVe2AmfyFE8yDUY6H0nytlBm8+xy9WdJTdu7VJIkCJ4114yqLgMFLsqpd22oDe
 qeLLTXiIlAKfvQ+z0HN9p3Xw2N1jmwOCSRe0WpWdAzIrpG5zELCfWS6E+7NOPyaIK60hs+SUy
 MWy/WY2bokwhlkf3Aej1ZSuFJzphDQdqQRDAUXTk02etyli5qnzdr9/GOdW/IsPKoo5aUUU0K
 RJAttxZu+vqc4zURiP3GVnNTR7ULGgi0BQcsQ0W630NYrOfxF9IVx/nS5FlB8TFnk3iqnuoHL
 /YNpNbJinV5YMJ+7y+hkuUpvjquqRP5MwPehBToB/mLIR+ZPgyS1GuZNHCCu47fs7Dqp5fQfM
 7AZNyAKmg6XfbrgnwDkxuGEcPbm+AmuWPImWYTXupFFtLeqhCx9k2fI5APL8rJcrS368tjSjr
 Xcr49ePIajIinSKUz+lTrweVslj2MepIX868mQho/MmLp30uqeteqfknLxRgSnAfLVtgT4bjp
 1U4CjhMDJ4eXT7D2R8Xe2qKmWUflD1GbKuRQomEWrmcudpBK3TTqzGhB55rqSP3qyYtHO638s
 pf8xvGDMFRsUq2QD5FNOxziir7gOH/jK4qY/IXbB0HgBkehg2eSkb07CkVasQkcruTUtCWVRd
 1jtUMC160Ou7MdaQptR1MXiMlcnSrdvOJ8rkN7j1IB0hWGJ14yC/8Q6Qd6l6hlAmsgB3DgS9c
 cQ8e1BUqFWbJWW06Pgx7rq3CMij22VHmxzpYA2qN1QeAUmi8f4+ttYjijF9qF2WKPkoofzC/4
 t3OK7k8L2nBbvdwnOhHl81oulewHF0cbsY7EXXRxPOENggWtPxrhZU4UtHC6Dawyh3Wszg+tr
 eSSn5LQyYzqIQ9YUmnQaToSWJn9SGpZ8fyOmdC4lOFlTV5EkzlUAFBJChBhiaX
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> Based on this and on a suggestion Ricardo made on IRC, I passed
> “-padding 10m” and that solved the problem.  \o/

Ouchers. Do all files bear their expected content ?
Especially the last one: /var/guix/db/db.sqlite

If so, then something truncates the output stream of libisofs via libburn.
The only component that comes to my mind is the fifo between them.
The default fifo size is 4 MiB. Quite suspicious.

Try to reduce its size to the minimum by adding these grub-mkrescue
arguments:

  -- -- -fs 64k -padding 64k

If the fifo is to blame, then a padding of 64k should suffice to protect
the valuable blocks from a premature end.


--------------------------------------------------------------------
A bit off topic:

> the documentation of “-padding” suggests
> that this kind of problem is not uncommon.

It's normal purpose is to work around a traditional Linux kernel bug:

CDs written with write type Track-At-Once bear two unreadable blocks at
the end. Most CD drives report these blocks as part of the data range.
When Linux shall read a single block for isofs, it reads a larger chunk.
The chunk is not large enough to reach over the nominal end of the data
range, but it can reach the unreadable end blocks by mistake.
In this case Linux does not only miss the end blocks but also valid
payload blocks which are part of the filesystem. This yields I/O error.

The developer of cdrecord and the kernel people mistake this problem
for a "fuzziness" of a CD end by at most 2 seconds of audio play time.
This is wrong from reading the specs and from making experiments.
However, cdrecord introduced the tradition to add 150 blocks of padding
which would 2 seconds of sound.
As long as the read chunk of Linux is smaller than that, the padding
protects the operating system from touching the lead-out blocks of the
TAO track.

This cannot happen on hard disk or any optical media type other than CD.
If you write the CD by Session-At-Once it cannot happen. If you have one
of the rare CD drives which do not count the lead-out blocks to the
readable size of the CD, it cannot happen. (Currently 1 of my 7 drives
tells the truth.)

But who am i to stand against all others ?
So xorriso, too, adds 300 KiB of padding by default.


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 17:00:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 12:00:23 2018
Received: from localhost ([127.0.0.1]:35962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUx0h-0000xB-24
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 12:00:23 -0500
Received: from mout.gmx.net ([212.227.17.20]:41101)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gUx0f-0000ww-JZ
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 12:00:22 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx102 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0LqW8j-1h8OM837AX-00e7xX; Thu, 06 Dec 2018 18:00:13 +0100
Date: Thu, 06 Dec 2018 17:59:39 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87va46is9h.fsf@HIDDEN>
In-Reply-To: <87va46is9h.fsf@HIDDEN>
Message-Id: <13661682393159200289@HIDDEN>
X-Provags-ID: V03:K1:lg03QiCKeoGMHDZ4FsQSSJi+HBXq2DMjH13PDZt/g2EOeZHr1ig
 AwyfXpYfwc7jBd0eWGeXZKHRspnvcwRmjbYdPSGJZuT8XEavW7QNdSgdGBWvAGcl60QsEqT
 gPbPEF8eo9BF4xb3XmBMNrQfILkvtvmd/jN0zcmnNt9RVSLIhR0FuR2SG3Seq1v1QoVZo3v
 l273/mfPS6DNy/HCRmmnQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:398UrKTlVUQ=:q4HsoCfM6Cyi+H1eI/f94K
 NXtbUeohy7czlhn77xHEnkcg4YRN9kCKAdsvJf3wt/rW/VYjr/q9dLHJ0ndknfHIPvxkNriTm
 i4hxHgIzkMC8O8GtCRzuB8ZRRyZtTVZMW8Gq4xyciAsxc+GwsVyn9USaKzTX/YU98C348bBlD
 RBvmbYmGrUi5WTGRXTltMmnMrDdbY7x+R4xDIHlJnLlMon4tHlH0tdpcamrbS5cscRv+j++hj
 XvdDGMVqy3KnQhVELfPo1w7eeYbif6hSMxLhhx4AZkWTx0zYlLMgTVcaSxGoplUkBaiudesec
 Y8IzmgIWiNKTGlrL1BG+Qe3elESNhheL8jJFd31oEdBWgIsJurAlELgaIvW2C+OaFaJAJP0Ft
 R5Gswu+/K1MCiBocVHZhzSrQbtLohwXY3KtyPhzXgC/nkCSNSnW9v9TRUeeVl2ERRIiT+2OKL
 Lp7HqQM6f/7Sl1CdGNhqVwJkGgQJ04jzI1qh1zB4eeyXvs1Jm4Gb7oePxyi2qslnDx3fI9jhJ
 bA6DVUGZW33KV74YFHaa3k8XCv7/k0VtuyczbDeAkKhexCrUgC794TpjGn2rmn08m1M2zsaFW
 YTmSszBxdPQlPYqL9q8mikmTB8o2V9FKPjEXDdHEbAqaZmBC8bAH2UM+pUHcMBzfYFgo42b0j
 9wU+Lhej2EtTSwPMpkVdSwxM8Cj2sbpp68/0+wsTKB3e4Uy9CH55VIiJM1ThbzwFDsOpcH9FC
 Mz5bZnELJaB2x1ppVXkZ2s1QU+GeStW80UE3e53iKvj9uqM9cBYr1567xmP7imrypsIhJVvK8
 vH9oKS4YSY+86ytgFKqqAna6NuXdnR5sVYXwf9oSuNa43l6jfmo36+fQFhpcatoPtFEJTpGuR
 71iu6epBnHqMopEWweUwnurCk/NQcEkWrj2BAYBX1ka/OhqXoXjaO16rfpIXWA
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

i see that probably the kernel log talks of blocks of 512 bytes.
So the minimum missing size shrinks to 2.3 and 1.4 MiB, respectively.


I wrote:
> > Please consider local reasons for truncated ISO images.

Ludovic Courtès wrote:
> I’ve thought about this but that seem highly unlikely at this point.

It still looks like writing of the ISO image aborted prematurely.
Do you have the xorriso messages from the grub-mkrescue run ?

(If there are none, add the following three arguments to the grub-mkrescue 
 run:
   -- -- -report_about update
 The second "--" shall work around an intermediate version of grub-mkrescue
 which ate the first "--" instead of forwarding it to xorriso.
)


Reasoning:

> libisoburn: WARNING : ISO image size 475636s larger than readable size 473456s
> File data lba:  0 ,   475356 ,       88 ,   180224 , '/var/guix/db/db.sqlite'

When the ISO is assessed by libisoburn, its nominal block count is
192 blocks higher than the end of the last file. Insofar ok. But the
ISO image file is smaller than that.

After the warning, libisoburn corrects the displayed size to the readable
size. So the number in this subsequent message is rather insignificant:
> Media summary: 1 session, 473456 data blocks,  925m data, 45.6g free
(Only good that you also showed above warning message.)


The nominal count is recorded in the Primary Volume Descriptor, the
equivalent of a superblock. (Byte offset in the ISO file is 32768+80,
first as 4 byte little-endian, then again as 4 byte big-endian.)

The readable size is based on the byte size of the ISO file.

At ISO production time, the nominal block count is determined by libisofs
in a first dry-run. In the subsequent real production run, libisofs sticks
to the determined file sizes of the first run, even if some file changed
size inbetween. It would truncate or pad the copied file bytes to the
planned size. Directory data are written as assessed in the first run.

So from normal operation of libisofs it is guaranteed that the written
amount of data is the same as the nominal amount.

-----------------------------------------------------------------------

Possible glitches would be that libisofs skips to write some scheduled
data blocks, or that libburn drops blocks which were submitted by libisofs.
Both scenarios do not give me an idea how the difference between 32 bit
and 64 bit systems could be involved.

The theory of intermediately missing data blocks could be verified or
defuted by checking the content of the last file which sits in the
readable area. If it bears the expected content, then no blocks were
skipped or dropped inbetween.

So please look in the file listing for the last file which begins before
block 473456 and does not step over that limit by adding its "Blocks"
count (exact hit on the limit is ok).
If the filesystem refuses to obtain it, then use
  dd bs=2048 skip=$Startlba count=$Blocks
to cut it out from the ISO and then truncate it to the reported "Filesize".

In any case compare its content with the original.

If the contents match, then we have a flat premature end of file.
In this case there should be error messages from xorriso or its libraries.
(In case of GNU xorriso, the libraries are fixely compiled in from source.)


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 16:28:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 11:28:53 2018
Received: from localhost ([127.0.0.1]:35953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUwWD-00005d-Cm
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 11:28:53 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUwWB-00005Q-Qi
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 11:28:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUwW6-0003hp-0j
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 11:28:46 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54502)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUwVy-0003JS-8i; Thu, 06 Dec 2018 11:28:38 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44214 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUwVx-00064H-R0; Thu, 06 Dec 2018 11:28:38 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <874lbrkkog.fsf@HIDDEN>
 <22800682362436954162@HIDDEN>
Date: Thu, 06 Dec 2018 17:28:35 +0100
In-Reply-To: <22800682362436954162@HIDDEN> (Thomas Schmitt's
 message of "Thu, 06 Dec 2018 15:08:56 +0100")
Message-ID: <87k1kmipqk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, Ricardo Wurmus <rekado@HIDDEN>,
 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi again,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

>> [ 215.199357] loop0: rw=3D524288, want=3D1903876, limit=3D1899264
>
> This looks much like a truncated ISO image. (For what reason ever.)
>
> There are at least 4612 blocks =3D ~ 9 MiB missing.
> In the original message of https://issues.guix.info/issue/33639 the
> the minimum missing size is about 5 MiB.

Based on this and on a suggestion Ricardo made on IRC, I passed
=E2=80=9C-padding 10m=E2=80=9D and that solved the problem.  \o/

I suppose you=E2=80=99ll have a scientific explanation, but I=E2=80=99m hap=
py this
simple hacks works (and indeed, the documentation of =E2=80=9C-padding=E2=
=80=9D suggests
that this kind of problem is not uncommon.)

Thanks to both of you!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 15:34:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 10:34:23 2018
Received: from localhost ([127.0.0.1]:35933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUvfQ-0007BX-1F
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 10:34:23 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41811)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUvfL-0007BD-7Q
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 10:34:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUvfB-0002TC-UX
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 10:34:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53683)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUvfB-0002T4-Q5; Thu, 06 Dec 2018 10:34:05 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44154 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUvfA-0002hU-Qo; Thu, 06 Dec 2018 10:34:05 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <874lbrkkog.fsf@HIDDEN>
 <22800682362436954162@HIDDEN>
Date: Thu, 06 Dec 2018 16:34:02 +0100
In-Reply-To: <22800682362436954162@HIDDEN> (Thomas Schmitt's
 message of "Thu, 06 Dec 2018 15:08:56 +0100")
Message-ID: <87va46is9h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33639
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Thomas,

Thanks for the quick and insightful reply!

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

>> [ 215.199357] loop0: rw=3D524288, want=3D1903876, limit=3D1899264
>
> This looks much like a truncated ISO image. (For what reason ever.)
>
> There are at least 4612 blocks =3D ~ 9 MiB missing.
> In the original message of https://issues.guix.info/issue/33639 the
> the minimum missing size is about 5 MiB.

OK.

> Please consider local reasons for truncated ISO images.

I=E2=80=99ve thought about this but that seem highly unlikely at this point.

> Is there such a damaged ISO available for download ?

No.

> How much effort would it be to create a Guix installation for building
> xorriso, running your ISO production, and possibly running xorriso under
> gdb ?
> (Something for a run like
>
>   qemu-system-i386 \
>      -enable-kvm \
>      -nographic \
>      -m 512 \
>      -net nic \
>      -net user,hostfwd=3Dtcp::5555-:22 \
>      -hda guix_on_qemu.img

You could install Guix on top of your distro following the instructions
at
<https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installation.=
html>.
Then you would need to run =E2=80=9Cguix pull=E2=80=9D to get a current Gui=
x (0.15.0
itself didn=E2=80=99t have this bug.)  And finally, run:

  guix system disk-image --file-system-type=3Diso9660 \
    -s i686-linux \
    ~/.config/guix/current/share/guile/site/2.2/gnu/system/install.scm

(This command works on an x86_64 machine.)

The result will be an ISO that=E2=80=99s corrupt.

> What do you get from this xorriso inspection run on a damaged ISO ?
> (I tested it with the ISO from https://www.gnu.org/software/guix/download=
/):
>
>   xorriso -indev guixsd-install-0.15.0.i686-linux.iso \
>           -find / -sort_lba -exec report_lba -- \
>           >/tmp/xorriso_indev_find.txt 2>&1

I get:

--8<---------------cut here---------------start------------->8---
GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.

libisoburn: WARNING : ISO image size 475636s larger than readable size 4734=
56s
xorriso : NOTE : Loading ISO image tree from LBA 0
libburn : SORRY : Read start address 475635s larger than number of readable=
 blocks 473456
xorriso : UPDATE :   46803 nodes read in 1 seconds
xorriso : NOTE : Detected El-Torito boot information which currently is set=
 to be discarded
Drive current: -indev '/gnu/store/v13bryy1mrgrs694drsrknryf204q30j-image.is=
o'
Media current: stdio file, overwriteable
Media status : is written , is appendable
Boot record  : El Torito , MBR protective-msdos-label grub2-mbr cyl-align-o=
ff GPT APM
Media summary: 1 session, 473456 data blocks,  925m data, 45.6g free
Volume id    : 'GUIXSD_IMAGE'
xorriso : NOTE : Tolerated problem event of severity 'SORRY'
Report layout: xt , Startlba ,   Blocks , Filesize , ISO image path
File data lba:  0 ,     8612 ,      720 ,  1474560 , '/efi.img'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/1zzgag2ca7=
xzklss2j6phh4580cgkbl2-flac-1.3.2/share/doc/flac-1.3.2/FLAC.tag'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/55m1dng1zw=
7fq7ni73nm2v7b84wghpka-libx11-1.6.6/share/X11/locale/am_ET.UTF-8/XI18N_OBJS'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/55m1dng1zw=
7fq7ni73nm2v7b84wghpka-libx11-1.6.6/share/X11/locale/cs_CZ.UTF-8/XI18N_OBJS'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/55m1dng1zw=
7fq7ni73nm2v7b84wghpka-libx11-1.6.6/share/X11/locale/el_GR.UTF-8/XI18N_OBJS'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/55m1dng1zw=
7fq7ni73nm2v7b84wghpka-libx11-1.6.6/share/X11/locale/fi_FI.UTF-8/XI18N_OBJS'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/746645dl4f=
mz9h12x247nyznalswqyzp-groff-minimal-1.22.3/share/groff/1.22.3/tmac/mm/loca=
le'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/746645dl4f=
mz9h12x247nyznalswqyzp-groff-minimal-1.22.3/share/groff/1.22.3/tmac/mm/se_l=
ocale'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/a1vpwa7wkx=
bxw18sz70rmp3cdfnf3jdj-libvorbis-1.3.6/share/doc/libvorbis-1.3.6/doxygen-bu=
ild.stamp'
File data lba:  0 ,    25032 ,        0 ,        0 , '/mach_kernel'
File data lba:  0 ,    25034 ,     1173 ,  2400500 , '/boot/grub/fonts/unic=
ode.pf2'
File data lba:  0 ,    26207 ,        1 ,     1520 , '/boot/grub/grub.cfg'
File data lba:  0 ,    26207 ,        1 ,     1520 , '/gnu/store/3zq39lvf12=
a87zcfrg87xgkllgfsyw3b-grub.cfg'
File data lba:  0 ,    26208 ,        5 ,     9928 , '/boot/grub/i386-efi/a=
cpi.mod'

[=E2=80=A6]

File data lba:  0 ,   475300 ,        1 ,     1651 , '/gnu/store/zrg4c2d0lv=
yw8z9xgh0darzglbxrm6b7-iptables-1.6.2/share/man/man8/iptables-restore.8.gz'
File data lba:  0 ,   475301 ,        1 ,     1137 , '/gnu/store/zrg4c2d0lv=
yw8z9xgh0darzglbxrm6b7-iptables-1.6.2/share/man/man8/iptables-save.8.gz'
File data lba:  0 ,   475302 ,        4 ,     7837 , '/gnu/store/zrg4c2d0lv=
yw8z9xgh0darzglbxrm6b7-iptables-1.6.2/share/man/man8/iptables.8.gz'
File data lba:  0 ,   475306 ,       47 ,    96256 , '/System/Library/CoreS=
ervices/boot.efi'
File data lba:  0 ,   475353 ,        1 ,      236 , '/System/Library/CoreS=
ervices/SystemVersion.plist'
File data lba:  0 ,   475354 ,        1 ,     1399 , '/System/Library/CoreS=
ervices/.disk_label'
File data lba:  0 ,   475355 ,        1 ,       10 , '/System/Library/CoreS=
ervices/.disk_label.contentDetails'
File data lba:  0 ,   475356 ,       88 ,   180224 , '/var/guix/db/db.sqlit=
e'
xorriso : NOTE : -return_with SORRY 32 triggered by problem severity SORRY
--8<---------------cut here---------------end--------------->8---

Something=E2=80=99s fishy, and Xorriso is sorry.  :-)

Let me know if I can provide more info.

In the meantime I=E2=80=99ll see if I can build the image from x86_64 inste=
ad.

> Unrelated observation:
> xorriso command -pvd_info reports that the ISO was made with xorriso-1.4.8
> with
>   Creation Time: 1970010119010649
> This means "1 Jan 1970 19:01:06". Something seems to be wrong with the
> system clock of the producer machine.

For reproducibility purposes we set timestamps and related things to the
Epoch.  This pseudo-UUID/timestamps is actually derived from the config
of the operating system in the image.  It=E2=80=99s expected.  :-)

Thank you!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 14:09:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 09:09:49 2018
Received: from localhost ([127.0.0.1]:35054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUuLZ-0002vx-F1
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 09:09:49 -0500
Received: from mout.gmx.net ([212.227.15.15]:45035)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gUuLS-0002vg-SH
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 09:09:44 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx001 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0Mdafs-1gpsbH1n6i-00PJkO; Thu, 06 Dec 2018 15:09:31 +0100
Date: Thu, 06 Dec 2018 15:08:56 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
To: bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <874lbrkkog.fsf@HIDDEN>
In-Reply-To: <874lbrkkog.fsf@HIDDEN>
Message-Id: <22800682362436954162@HIDDEN>
X-Provags-ID: V03:K1:KDOotLfRIrb4THYGFgb5xmnoUPGQHIjVe3EbC4GXrBZcCxG6FyT
 u4+M+rr1mpHdDkzyDXzEFCR/FVB2rKm1Bq9VHFaIrrwHkQiH8eOcqr/xA/c7fyKg4oskeev
 Vm51RSyz+NF0c6q3ZKLG7pMBG34LPMqyuD8WJ2LanBHwpT+C/izqP8uIivyps8cSHryTvJa
 KU+otkfBDwfkU1MnRqHNg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:4C6NFSNWMUg=:ocXlJs9uVCAks5v6/czbaD
 8rvxQBZ3wXa1/WkkWznAyDvHGcjnqQRtoTJyUt4Mxa/m1zJZ482788/YfNEg8rrLTQRo3pVWp
 BQWzb1eOJd9R3niOYcdCHHPvDYEFOaMfVgWtECcfq0fGBeAWP5nlHAnvePfwm4MwVslSA8C8a
 hrFqB8WgaQKYYfI5xpOjnuxB7ozEtglXVDKXipuA/l/6FWIg4NBcbe7OPeQXq4YE/OOAWpkFL
 /C9GFGEDxzfvtyeMYl9KuS6bGo6UEc1KSzi3ddxQdI6PDX+a1okHg0qIjz6+XEt28xpGMnuhy
 TUoneLWbHGAhEi6yPapyLdyHwcSSGUsfBKSQZ9QOxJakecD80ls2bjYNSnel94Y5mcgGOeFWN
 pLAGOuVKsCZTzTmPwCgp0DDWLOCL31az1PWup4x9j6vR7plLl+4YS/RkoMApl1lcqELglUsoz
 5Rl9VCOmslYNsvF6/4CL0Hrp939JjMwW2qu4uCF/oFKjV7V5snEQHkujjdseh30tikN/F7Myo
 beScYyqveB+KV5DAtuAVBwuCoygEVtjHjAau4NTd3Nsljt+p6tcDd6Q9IIbgrn3JZuU9eoVgP
 MTBLLybVsHtGkWh9l8ayaumex16gGtOhXNfuLST/dOntIB2EmOln5oNRcMwycg+sgfJ/LHedb
 KzKgvxuUoIAbriGzuh+FpC5N6XaRwk+AyfjMuti8brSWH35vHBcL3EhurStQR2wS74PTcVJW9
 PswGLmU6Ds3uFdE8D3JxsVMB/EQC2qcCZ8S7KSoAJ7zdqjWI4vdvGftDjyBqbKk46pCHtgFaL
 c2FNsriZvGXxaXHA73AVCf9UQYECpm3uHutG9In6JcBf+uX5pdtr1WADdhBR4PaMEXeT9nvSZ
 uOe91NpFYQau7wJ9Xo+kyW71tqQByYtEPDq3JQWbAvciOpE1wUcxsLl3607dMu
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> [ 215.199357] loop0: rw=524288, want=1903876, limit=1899264

This looks much like a truncated ISO image. (For what reason ever.)

There are at least 4612 blocks = ~ 9 MiB missing.
In the original message of https://issues.guix.info/issue/33639 the
the minimum missing size is about 5 MiB.

Please consider local reasons for truncated ISO images.

In the following i will concentrate on a potential program bug.


> [...] running Xorriso 1.5.0 built for i686 [...] I/O errors [...]
> Using the exact same build process for x86_64 leads to valid ISO images.

Well, this would explain why 1.5.0 passed a regression test on my 64 bit
system with repacking about 200 ISOs, mounting them, and comparing them
with the monted original ISOs.
I currently lack of opportunities to build 32 bit xorriso.

Is there such a damaged ISO available for download ?

How much effort would it be to create a Guix installation for building
xorriso, running your ISO production, and possibly running xorriso under
gdb ?
(Something for a run like

  qemu-system-i386 \
     -enable-kvm \
     -nographic \
     -m 512 \
     -net nic \
     -net user,hostfwd=tcp::5555-:22 \
     -hda guix_on_qemu.img

with the opportunity to login from the host machine via SSH.
)

What do you get from this xorriso inspection run on a damaged ISO ?
(I tested it with the ISO from https://www.gnu.org/software/guix/download/):

  xorriso -indev guixsd-install-0.15.0.i686-linux.iso \
          -find / -sort_lba -exec report_lba -- \
          >/tmp/xorriso_indev_find.txt 2>&1

In a preliminary test with
  guixsd-install-0.15.0.i686-linux.iso
i get in /tmp/xorriso_indev_find.txt :

  ...
  Media summary: 1 session, 454094 data blocks,  887m data,  384g free
  ...
  Report layout: xt , Startlba ,   Blocks , Filesize , ISO image path
  File data lba:  0 ,     8527 ,     1440 ,  2949120 , '/efi.img'
  ... many other files ...
  File data lba:  0 ,   453781 ,      122 ,   249856 , '/var/guix/db/db.sqlite'

The ISO image file size is 929984512 bytes = 454094 blocks.
The image by its inner size counter also claims 454094 blocks.
The data file with the highest storage address ends before block
453781 + 122 = 453903.
That's 191 blocks before the image end. Padding and GPT backup follow.
(The data block size is 2048 bytes.)

So this image looks ok. Let's read all its files:

  # mount guixsd-install-0.15.0.i686-linux.iso /mnt/iso
  mount: /dev/loop0 is write-protected, mounting read-only
  $ tar cf - /mnt/iso | wc
  tar: Removing leading `/' from member names
  7116387 35887498 1042391040
  $

No i/o error.


Unrelated observation:
xorriso command -pvd_info reports that the ISO was made with xorriso-1.4.8
with
  Creation Time: 1970010119010649
This means "1 Jan 1970 19:01:06". Something seems to be wrong with the
system clock of the producer machine.


Have a nice day :)

Thomas





Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 10:35:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 05:35:35 2018
Received: from localhost ([127.0.0.1]:34986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUr0J-0003tf-OJ
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 05:35:35 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUr0H-0003tR-79
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 05:35:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUr0A-0006Sv-GW
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 05:35:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47897)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUqzi-00057m-7D; Thu, 06 Dec 2018 05:34:58 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=43622 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUqzh-0008LW-UL; Thu, 06 Dec 2018 05:34:58 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 33639 <at> debbugs.gnu.org, bug-xorriso@HIDDEN
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <87d0qfwmih.fsf@HIDDEN> <87efavm8b3.fsf@HIDDEN>
Date: Thu, 06 Dec 2018 11:34:55 +0100
In-Reply-To: <87efavm8b3.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 06 Dec 2018 08:19:12 +0100")
Message-ID: <874lbrkkog.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33639
Cc: Ricardo Wurmus <rekado@HIDDEN>, Mark H Weaver <mhw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Dear Xorriso hackers,

While building an ISO for i686, running Xorriso 1.5.0 built for i686
(actually =E2=80=98grub-mkrescue=E2=80=99, but that=E2=80=99s just a wrappe=
r around Xorriso) in
qemu-system-i386, we end up with an ISO image containing files that lead
to I/O errors (=E2=80=9Cattempt to access beyond end of device=E2=80=9D):

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~/src/guix$ sudo losetup /dev/loop0 /gnu/store/1yanxg3cz5wi6vhp=
vhipxvmjwm201fbm-image.iso
ludo@ribbon ~/src/guix$ sudo mount -t iso9660 /dev/loop /mnt/disk/
mount: /mnt/disk: WARNING: device write-protected, mounted read-only.
ludo@ribbon ~/src/guix$ cat < /mnt/disk/var/guix/db/db.sqlite > /dev/null
cat: -: Eraro de en-eligo
ludo@ribbon ~/src/guix$ dmesg |tail
[   41.186408] shepherd[1]: Service guix-daemon has been started.
[   45.725418] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[   45.933911] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[   49.496112] e1000e: enp0s31f6 NIC Link is Up 1000 Mbps Full Duplex, Flow=
 Control: None
[   49.496165] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s31f6: link becomes ready
[  203.358136] ISO 9660 Extensions: RRIP_1991A
[  215.199352] attempt to access beyond end of device
[  215.199357] loop0: rw=3D524288, want=3D1903876, limit=3D1899264
[  215.199362] attempt to access beyond end of device
[  215.199363] loop0: rw=3D0, want=3D1903532, limit=3D1899264
--8<---------------cut here---------------end--------------->8---

The output of Xorriso and the kernel when it builds the image looks
good.

(More info at <https://issues.guix.info/issue/33639>.)

Using the exact same build process for x86_64 leads to valid ISO images.

Does that ring a bell or would you have advice to further debug it?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 09:36:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 04:36:07 2018
Received: from localhost ([127.0.0.1]:34965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUq4g-0002SE-UZ
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 04:36:07 -0500
Received: from mx1.riseup.net ([198.252.153.129]:58003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gUq4Y-0002Rg-FJ
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 04:36:01 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 979271A0973;
 Thu,  6 Dec 2018 01:35:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1544088953; bh=xi3MzW366X5kaFvbABuuTmNVTgzEecc5QRZ8XmZuzW0=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=PjRAH2F4ohpj5QUBLxkEMEug4tOgHBGbo6CThWB84lMsxnhWvvbiFLECOGK2qM3Mt
 vyNaEBxCLnMQuBe616RoN/kT+yy8fK6xWnlYPZcNxq1zQJSRdfLA6Dr5r+1EwPjrcr
 5lSZOuzfAl4Vm4nVfXs+8bL8nAanFx3fTdfVBRt0=
X-Riseup-User-ID: A22EB6D7047E9DA1E887150D60955CA47589784BEC81EF50C374BE0A61BA699F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id 76CC38F843;
 Thu,  6 Dec 2018 01:35:53 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Thu, 06 Dec 2018 01:35:53 -0800
From: swedebugia@HIDDEN
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#33639: ISO installer image is broken on i686
In-Reply-To: <87d0qfwmih.fsf@HIDDEN>
References: <87d0qfwmih.fsf@HIDDEN>
Message-ID: <8047bf42762c6c4f8106689097afa32d@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33639
Cc: bug-Guix <bug-guix-bounces+swedebugia=riseup.net@HIDDEN>,
 33639 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-06 01:02, Ludovic Courtès wrote:
snip

> Indeed, if you spawn the image and run “cat /var/guix/db/db.sqlite”, it
> fails with EIO and “attempt to access beyond end of device.”  I suspect
> the bugs Mark reported at <https://issues.guix.info/issue/33362> and
> <https://issues.guix.info/issue/33555> are related.
> 
> My guess is that the bug has always existed on ‘core-updates’ since
> <https://berlin.guixsd.org/build/662745> (‘master’, 2018-11-30, i.e.,
> just before ‘core-updates’ was merged) shows a successful installation.
> 
> I tried running the ISO image in qemu-system-{x86_64,i386}, with and
> without KVM, and the I/O errors are always there, including with a
> pre-core-updates QEMU.
> 
> I tried reverting xorriso to 1.4.8 to no avail (which is not surprising
> since xorriso was upgraded on 2018-09-18 and the successful installation
> above which 2018-11-30.)
> 
> At this point I can only suspect a toolchain issue, probably binutils or
> libc since gcc didn’t change.
> 
> Thoughts?
> 
> This is holding the 0.16.0 release and I’m unavailable to do it next
> week and with little time over the next few days.  Thus I’m considering
> exceptionally releasing without the i686 GuixSD install image; thoughts?

Ok, I see.

Has anybody tested that guix pull from 0.15 -> 0.16 works on an install
ISO? (I don't know if we want/agreed to support this at all but 1 bug
suggests problems related to https: )

I say go for release and note it on the download page and provide
0.15-i686 image for now.

I'm using i686 GuixSD on my devlaptop.

-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.

Message received at 33639 <at> debbugs.gnu.org:


Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 07:20:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 02:20:17 2018
Received: from localhost ([127.0.0.1]:34908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUnxF-0005bZ-Cy
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 02:20:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUnx9-0005bD-Ng
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 02:20:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUnww-0007nc-Ry
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 02:20:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45071)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUnwJ-0006te-2O; Thu, 06 Dec 2018 02:19:15 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=43170 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUnwI-0007td-Pd; Thu, 06 Dec 2018 02:19:14 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: 33639 <at> debbugs.gnu.org
Subject: Re: bug#33639: ISO installer image is broken on i686
References: <87d0qfwmih.fsf@HIDDEN>
Date: Thu, 06 Dec 2018 08:19:12 +0100
In-Reply-To: <87d0qfwmih.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 06 Dec 2018 01:02:14 +0100")
Message-ID: <87efavm8b3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33639
Cc: Ricardo Wurmus <rekado@HIDDEN>, Mark H Weaver <mhw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> The ISO installer image as produced on commit
> 4a0b87f0ec5b6c2dcf82b372dd20ca7ea6acdd9c by
>
>   guix system disk-image --file-system-type=3Diso9660 \
>     -s i686-linux gnu/system/install.scm
>
> contains unreadable file(s), at least /var/guix/db/db.sqlite.

I can reproduce the I/O error by mounting the image:

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~/src/guix$ sudo losetup /dev/loop0 /gnu/store/1yanxg3cz5wi6vhp=
vhipxvmjwm201fbm-image.iso
ludo@ribbon ~/src/guix$ sudo mount -t iso9660 /dev/loop /mnt/disk/
mount: /mnt/disk: WARNING: device write-protected, mounted read-only.
ludo@ribbon ~/src/guix$ cat < /mnt/disk/var/guix/db/db.sqlite > /dev/null
cat: -: Eraro de en-eligo
ludo@ribbon ~/src/guix$ dmesg |tail
[   41.186408] shepherd[1]: Service guix-daemon has been started.
[   45.725418] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[   45.933911] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[   49.496112] e1000e: enp0s31f6 NIC Link is Up 1000 Mbps Full Duplex, Flow=
 Control: None
[   49.496165] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s31f6: link becomes ready
[  203.358136] ISO 9660 Extensions: RRIP_1991A
[  215.199352] attempt to access beyond end of device
[  215.199357] loop0: rw=3D524288, want=3D1903876, limit=3D1899264
[  215.199362] attempt to access beyond end of device
[  215.199363] loop0: rw=3D0, want=3D1903532, limit=3D1899264
--8<---------------cut here---------------end--------------->8---

So the problems lies with the VM that creates the image.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.
Severity set to 'serious' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Dec 2018 00:03:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 05 19:03:22 2018
Received: from localhost ([127.0.0.1]:34778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUh8Q-0003F9-HS
	for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 19:03:22 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUh8L-0003Et-Ry
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 19:03:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUh89-00010i-N9
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 19:03:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58758)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ludo@HIDDEN>) id 1gUh89-000106-Gf
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 19:03:01 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39713)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUh85-00069e-0e
 for bug-guix@HIDDEN; Wed, 05 Dec 2018 19:03:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUh80-0000nO-Br
 for bug-guix@HIDDEN; Wed, 05 Dec 2018 19:02:56 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38729)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUh7R-0008QV-GQ; Wed, 05 Dec 2018 19:02:17 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=47712 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUh7R-0006KY-81; Wed, 05 Dec 2018 19:02:17 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Bug Guix <bug-guix@HIDDEN>
Subject: ISO installer image is broken on i686
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 16 Frimaire an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 06 Dec 2018 01:02:14 +0100
Message-ID: <87d0qfwmih.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: Ricardo Wurmus <rekado@HIDDEN>, Mark H Weaver <mhw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

The ISO installer image as produced on commit
4a0b87f0ec5b6c2dcf82b372dd20ca7ea6acdd9c by

  guix system disk-image --file-system-type=3Diso9660 \
    -s i686-linux gnu/system/install.scm

contains unreadable file(s), at least /var/guix/db/db.sqlite.

The build at <https://hydra.gnu.org/build/3151513> (2018-11-12,
64461ba20a07a0cf3197de3e97cb44e0f66cebdc) seems is the only occurrence
of the problem I could find on the build farms: while running the
installation off the ISO image, it fails like this:

--8<---------------cut here---------------start------------->8---
+ guix --version
guix (GNU Guix) 0.15.0-6.f9a8fce
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ export GUIX_BUILD_OPTIONS=3D--no-grafts
+ GUIX_BUILD_OPTIONS=3D--no-grafts
+ guix build isc-dhcp
[   95.076694] attempt to access beyond end of device
[   95.080672] sr0: rw=3D524288, want=3D2118580, limit=3D2115840
[   95.082317] attempt to access beyond end of device
[   95.083730] sr0: rw=3D0, want=3D2118332, limit=3D2115840
[   95.097050] attempt to access beyond end of device
[   95.098175] sr0: rw=3D0, want=3D2118332, limit=3D2115840
guix build: error: build failed: cannot open Nix database `/var/guix/db/db.=
sqlite'
--8<---------------cut here---------------end--------------->8---

Indeed, if you spawn the image and run =E2=80=9Ccat /var/guix/db/db.sqlite=
=E2=80=9D, it
fails with EIO and =E2=80=9Cattempt to access beyond end of device.=E2=80=
=9D  I suspect
the bugs Mark reported at <https://issues.guix.info/issue/33362> and
<https://issues.guix.info/issue/33555> are related.

My guess is that the bug has always existed on =E2=80=98core-updates=E2=80=
=99 since
<https://berlin.guixsd.org/build/662745> (=E2=80=98master=E2=80=99, 2018-11=
-30, i.e.,
just before =E2=80=98core-updates=E2=80=99 was merged) shows a successful i=
nstallation.

I tried running the ISO image in qemu-system-{x86_64,i386}, with and
without KVM, and the I/O errors are always there, including with a
pre-core-updates QEMU.

I tried reverting xorriso to 1.4.8 to no avail (which is not surprising
since xorriso was upgraded on 2018-09-18 and the successful installation
above which 2018-11-30.)

At this point I can only suspect a toolchain issue, probably binutils or
libc since gcc didn=E2=80=99t change.

Thoughts?

This is holding the 0.16.0 release and I=E2=80=99m unavailable to do it next
week and with little time over the next few days.  Thus I=E2=80=99m conside=
ring
exceptionally releasing without the i686 GuixSD install image; thoughts?
The rest is all fine and ready to ship.

Thanks,
Ludo=E2=80=99.




Acknowledgement sent to Ludovic Courtès <ludo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33639; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 15 Apr 2019 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.